#include "arrayez-client.h"

int flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8192, _flick_abort0);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_check_span(8192, _flick_abort3);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s32_t arrayez_test_in8k(mom_ref_t _obj, arrayez_arr8k a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort7);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_arrayez_test_in8k, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort7);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, a, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort7);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort17);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort17:
              goto _flick_abort7;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort18);
            break;
            {
            _flick_abort18:
              goto _flick_abort7;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort19:
              goto _flick_abort7;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
  return _return;
  {
  _flick_abort7:
    flick_mom_client_error(fluke, fluke, _flick_abort6);
  _flick_abort6:
    goto _flick_reaper;
  }
}

oskit_s32_t arrayez_test_out8k(mom_ref_t _obj, arrayez_arr8k a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort21);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_arrayez_test_out8k, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort21);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8196, _flick_abort29);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_bcopy(0, a, 8192);
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort32);
            break;
            {
            _flick_abort32:
              goto _flick_abort21;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort33);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort33:
              goto _flick_abort21;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
  return _return;
  {
  _flick_abort21:
    flick_mom_client_error(fluke, fluke, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
}

oskit_s32_t arrayez_test_io8k(mom_ref_t _obj, arrayez_arr8k a, arrayez_arr8k b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort35);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_arrayez_test_io8k, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort35);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, a, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort35);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8196, _flick_abort47);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_bcopy(0, b, 8192);
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            break;
            {
            _flick_abort47:
              goto _flick_abort35;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort50);
            break;
            {
            _flick_abort50:
              goto _flick_abort35;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort51:
              goto _flick_abort35;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort35);
  return _return;
  {
  _flick_abort35:
    flick_mom_client_error(fluke, fluke, _flick_abort34);
  _flick_abort34:
    goto _flick_reaper;
  }
}

