#include "ttcp-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ttcp[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort0);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->xx, CORBA_long );
  flick_cdr_encode_signed32(4, _data->yy, CORBA_long );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort1);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->xx, CORBA_long );
  flick_cdr_decode_signed32(4, _data->yy, CORBA_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort2);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->xx, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->yy, CORBA_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(16, _flick_abort3);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->x.xx, CORBA_long );
  flick_cdr_encode_signed32(4, _data->x.yy, CORBA_long );
  flick_cdr_encode_signed32(8, _data->y.xx, CORBA_long );
  flick_cdr_encode_signed32(12, _data->y.yy, CORBA_long );
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(16);
  flick_iiop_check_span(16, _flick_abort4);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->x.xx, CORBA_long );
  flick_cdr_decode_signed32(4, _data->x.yy, CORBA_long );
  flick_cdr_decode_signed32(8, _data->y.xx, CORBA_long );
  flick_cdr_decode_signed32(12, _data->y.yy, CORBA_long );
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(16);
  flick_iiop_check_span(16, _flick_abort5);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->x.xx, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->x.yy, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->y.xx, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->y.yy, CORBA_long );
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort6);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length, _flick_abort6);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, CORBA_long );
      flick_cdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, CORBA_long );
      flick_cdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, CORBA_long );
      flick_cdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, CORBA_long );
      flick_iiop_encode_end_chunk(16);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort12);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)(CORBA_flick_alloc(_data->_length * sizeof(struct b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 16, _flick_abort16);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, CORBA_long );
      flick_cdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, CORBA_long );
      flick_cdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, CORBA_long );
      flick_cdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, CORBA_long );
      flick_iiop_decode_end_chunk(16);
      continue;
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort16:
    CORBA_flick_free(_data->_buffer);
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer_swap(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort19);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)(CORBA_flick_alloc(_data->_length * sizeof(struct b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 16, _flick_abort23);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t2_array_iter].x.xx, CORBA_long );
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t2_array_iter].x.yy, CORBA_long );
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t2_array_iter].y.xx, CORBA_long );
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t2_array_iter].y.yy, CORBA_long );
      flick_iiop_decode_end_chunk(16);
      continue;
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort23:
    CORBA_flick_free(_data->_buffer);
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort26);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length, _flick_abort26);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort29);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_check_span(4 * _data->_length * 1, _flick_abort29);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort29);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort29:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer_swap(flick_marshal_stream_t _stream, intBuffer *_data)
{
  CORBA_unsigned_long _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort33);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 4, _flick_abort37);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t3_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort37:
    CORBA_flick_free(_data->_buffer);
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort40);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->baloney, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort41);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->baloney, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort41:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless_swap(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort42);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->baloney, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort43);
  return 0;
  {
  _flick_abort43:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_ttcp_swap(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t62_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort48);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t62_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t62_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t63_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t64_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t64_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        unsigned int _t65_principal_len;
                        CORBA_long _return;
                        intBuffer *_local_data;
                        intBuffer _t66_storage;
                        CORBA_unsigned_long _t67_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t68_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort203);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t65_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t65_principal_len);
                        flick_iiop_check_span(_t65_principal_len * 1, _flick_abort203);
                        flick_iiop_decode_new_chunk(_t65_principal_len);
                        flick_iiop_decode_end_chunk(_t65_principal_len);
                        flick_iiop_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_data = (intBuffer *)(&_t66_storage);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort203);
                        flick_cdr_swap_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc(_local_data->_length * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort203);
                          _local_data->_buffer = _t_alloc_ptr;
                          _local_data->_maximum = _local_data->_length;
                          _local_data->_release = 1;
                        }
                        flick_iiop_check_span(_local_data->_length * 4, _flick_abort207);
                        for (_t67_array_iter = 0; _t67_array_iter < _local_data->_length; _t67_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t67_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = (CORBA_Environment *)(&_t68_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort207);
                          flick_iiop_encode_new_glob(28, _flick_abort207);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(28);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(28);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort218);
                                break;
                                {
                                _flick_abort218:
                                  goto _flick_abort207;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                              CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort219);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort219);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort219);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort219);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort219);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(28);
                                break;
                                {
                                _flick_abort219:
                                  goto _flick_abort207;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort207:
                          auto_flick_free(_local_data->_buffer);
                        _flick_abort203:
                          goto _flick_abort202;
                        }
                      }
                      break;
                      {
                      _flick_abort202:
                        goto _flick_abort48;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t69_switch_tag;

          flick_iiop_check_span(16, _flick_abort48);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t70_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t70_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t71_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t71_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t71_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t72_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t72_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t72_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    unsigned int _t73_principal_len;
                                    CORBA_long _return;
                                    structBuffer *_local_data;
                                    structBuffer _t74_storage;
                                    CORBA_unsigned_long _t75_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t76_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort224);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t73_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t73_principal_len);
                                    flick_iiop_check_span(_t73_principal_len * 1, _flick_abort224);
                                    flick_iiop_decode_new_chunk(_t73_principal_len);
                                    flick_iiop_decode_end_chunk(_t73_principal_len);
                                    flick_iiop_decode_end_glob(_t73_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_data = (structBuffer *)(&_t74_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort224);
                                    flick_cdr_swap_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)(auto_flick_alloc(_local_data->_length * sizeof(struct b )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort224);
                                      _local_data->_buffer = _t_alloc_ptr;
                                      _local_data->_maximum = _local_data->_length;
                                      _local_data->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_data->_length * 16, _flick_abort228);
                                    for (_t75_array_iter = 0; _t75_array_iter < _local_data->_length; _t75_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t75_array_iter].x.xx, CORBA_long );
                                        flick_cdr_swap_decode_signed32(4, _local_data->_buffer[_t75_array_iter].x.yy, CORBA_long );
                                        flick_cdr_swap_decode_signed32(8, _local_data->_buffer[_t75_array_iter].y.xx, CORBA_long );
                                        flick_cdr_swap_decode_signed32(12, _local_data->_buffer[_t75_array_iter].y.yy, CORBA_long );
                                        flick_iiop_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = (CORBA_Environment *)(&_t76_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort228);
                                      flick_iiop_encode_new_glob(28, _flick_abort228);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(28);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort239);
                                            break;
                                            {
                                            _flick_abort239:
                                              goto _flick_abort228;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiop_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                          CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort240:
                                              goto _flick_abort228;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort228:
                                      auto_flick_free(_local_data->_buffer);
                                    _flick_abort224:
                                      goto _flick_abort223;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort223:
                                    goto _flick_abort48;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t77_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t78_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t78_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t78_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t79_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t80_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t81_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort245);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t79_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t79_principal_len);
                        flick_iiop_check_span(_t79_principal_len * 1, _flick_abort245);
                        flick_iiop_decode_new_chunk(_t79_principal_len);
                        flick_iiop_decode_end_chunk(_t79_principal_len);
                        flick_iiop_decode_end_glob(_t79_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort245);
                        flick_cdr_swap_decode_unsigned32(0, _t80_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t80_temp_string_len);
                        flick_iiop_check_span(1 * _t80_temp_string_len * 1, _flick_abort245);
                        flick_iiop_decode_new_chunk(1 * _t80_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t80_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t80_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t81_storage);
                        _par = flick_interface_parents_ttcp;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort245);
                          flick_iiop_encode_new_glob(5, _flick_abort245);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort253);
                                break;
                                {
                                _flick_abort253:
                                  goto _flick_abort245;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort254);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort254:
                                  goto _flick_abort245;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort245:
                          goto _flick_abort244;
                        }
                      }
                      break;
                      {
                      _flick_abort244:
                        goto _flick_abort48;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t23_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort48);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        unsigned int _t26_principal_len;
                        CORBA_long _return;
                        intBuffer *_local_data;
                        intBuffer _t27_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t28_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort100);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t26_principal_len);
                        flick_iiop_check_span(_t26_principal_len * 1, _flick_abort100);
                        flick_iiop_decode_new_chunk(_t26_principal_len);
                        flick_iiop_decode_end_chunk(_t26_principal_len);
                        flick_iiop_decode_end_glob(_t26_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_data = (intBuffer *)(&_t27_storage);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort100);
                        flick_cdr_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        flick_iiop_check_span(4 * _local_data->_length * 1, _flick_abort100);
                        flick_iiop_decode_new_chunk(4 * _local_data->_length);
                        flick_cdr_decode_msgptr(0, _local_data->_buffer, CORBA_long *);
                        _local_data->_maximum = _local_data->_length;
                        _local_data->_release = 0;
                        flick_iiop_decode_end_chunk(4 * _local_data->_length);
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = (CORBA_Environment *)(&_t28_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort100);
                          flick_iiop_encode_new_glob(28, _flick_abort100);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(28);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(28);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort111);
                                break;
                                {
                                _flick_abort111:
                                  goto _flick_abort100;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                              CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort112);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort112);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort112);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort112);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort112);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(28);
                                break;
                                {
                                _flick_abort112:
                                  goto _flick_abort100;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort100:
                          goto _flick_abort99;
                        }
                      }
                      break;
                      {
                      _flick_abort99:
                        goto _flick_abort48;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t29_switch_tag;

          flick_iiop_check_span(16, _flick_abort48);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t30_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t31_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t31_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t32_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t32_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t32_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    unsigned int _t33_principal_len;
                                    CORBA_long _return;
                                    structBuffer *_local_data;
                                    structBuffer _t34_storage;
                                    CORBA_unsigned_long _t35_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t36_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort117);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t33_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t33_principal_len);
                                    flick_iiop_check_span(_t33_principal_len * 1, _flick_abort117);
                                    flick_iiop_decode_new_chunk(_t33_principal_len);
                                    flick_iiop_decode_end_chunk(_t33_principal_len);
                                    flick_iiop_decode_end_glob(_t33_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_data = (structBuffer *)(&_t34_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort117);
                                    flick_cdr_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)(auto_flick_alloc(_local_data->_length * sizeof(struct b )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort117);
                                      _local_data->_buffer = _t_alloc_ptr;
                                      _local_data->_maximum = _local_data->_length;
                                      _local_data->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_data->_length * 16, _flick_abort121);
                                    for (_t35_array_iter = 0; _t35_array_iter < _local_data->_length; _t35_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_decode_signed32(0, _local_data->_buffer[_t35_array_iter].x.xx, CORBA_long );
                                        flick_cdr_decode_signed32(4, _local_data->_buffer[_t35_array_iter].x.yy, CORBA_long );
                                        flick_cdr_decode_signed32(8, _local_data->_buffer[_t35_array_iter].y.xx, CORBA_long );
                                        flick_cdr_decode_signed32(12, _local_data->_buffer[_t35_array_iter].y.yy, CORBA_long );
                                        flick_iiop_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = (CORBA_Environment *)(&_t36_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort121);
                                      flick_iiop_encode_new_glob(28, _flick_abort121);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(28);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort132);
                                            break;
                                            {
                                            _flick_abort132:
                                              goto _flick_abort121;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiop_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                          CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort133);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort133);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort133);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort133);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort133);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort133:
                                              goto _flick_abort121;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort121:
                                      auto_flick_free(_local_data->_buffer);
                                    _flick_abort117:
                                      goto _flick_abort116;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort116:
                                    goto _flick_abort48;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t37_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t38_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t39_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t40_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t41_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort138);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t39_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t39_principal_len);
                        flick_iiop_check_span(_t39_principal_len * 1, _flick_abort138);
                        flick_iiop_decode_new_chunk(_t39_principal_len);
                        flick_iiop_decode_end_chunk(_t39_principal_len);
                        flick_iiop_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort138);
                        flick_cdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t40_temp_string_len);
                        flick_iiop_check_span(1 * _t40_temp_string_len * 1, _flick_abort138);
                        flick_iiop_decode_new_chunk(1 * _t40_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t40_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t40_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t41_storage);
                        _par = flick_interface_parents_ttcp;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort138);
                          flick_iiop_encode_new_glob(5, _flick_abort138);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort146);
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort138;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort147:
                                  goto _flick_abort138;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort138:
                          goto _flick_abort137;
                        }
                      }
                      break;
                      {
                      _flick_abort137:
                        goto _flick_abort48;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort48);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort48:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort47);
  _flick_abort47:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

