#include "namelens-server.h"

POA_onewaytest::POA_onewaytest()
{}

POA_onewaytest::POA_onewaytest(const POA_onewaytest &rhs)
  : TAO_ServantBase(rhs)
{}

POA_onewaytest::~POA_onewaytest()
{}

onewaytest *POA_onewaytest::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_onewaytest(this, stub);
}

CORBA::Boolean POA_onewaytest::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:onewaytest:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_onewaytest::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:onewaytest:1.0") == 0)
    return ACE_static_cast(POA_onewaytest_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_onewaytest::_interface_repository_id() const
{
  return "IDL:onewaytest:1.0";
}

template <class T>
  POA_onewaytest_tie<T>::POA_onewaytest_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_onewaytest_tie<T>::POA_onewaytest_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_onewaytest_tie<T>::POA_onewaytest_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_onewaytest_tie<T>::POA_onewaytest_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_onewaytest_tie<T>::~POA_onewaytest_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_onewaytest_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_onewaytest_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_onewaytest_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_onewaytest_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_onewaytest_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_onewaytest_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_onewaytest_tie<T>::POA_onewaytest_tie(const POA_onewaytest_tie &c)
{}

template <class T>
  void POA_onewaytest_tie<T>::operator=(const POA_onewaytest_tie &c)
{}

template <class T>
  void POA_onewaytest_tie<T>::n(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n2(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n2 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n23(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n23 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n234(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n234 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n2345(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n2345 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n23456(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n23456 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n234567(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n234567 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n2345678(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n2345678 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n23456789(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n23456789 (_ev);
}

template <class T>
  void POA_onewaytest_tie<T>::n234567890(/* POA_onewaytest *this, */ CORBA::Environment &_ev)
{
  this->ptr_->n234567890 (_ev);
}

_tao_collocated_onewaytest::_tao_collocated_onewaytest(POA_onewaytest_ptr servant, TAO_Stub *stub)
  : onewaytest(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_onewaytest_ptr _tao_collocated_onewaytest::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_onewaytest::n(CORBA::Environment &_ev)
{
  this->servant_->n (_ev);
}

void _tao_collocated_onewaytest::n2(CORBA::Environment &_ev)
{
  this->servant_->n2 (_ev);
}

void _tao_collocated_onewaytest::n23(CORBA::Environment &_ev)
{
  this->servant_->n23 (_ev);
}

void _tao_collocated_onewaytest::n234(CORBA::Environment &_ev)
{
  this->servant_->n234 (_ev);
}

void _tao_collocated_onewaytest::n2345(CORBA::Environment &_ev)
{
  this->servant_->n2345 (_ev);
}

void _tao_collocated_onewaytest::n23456(CORBA::Environment &_ev)
{
  this->servant_->n23456 (_ev);
}

void _tao_collocated_onewaytest::n234567(CORBA::Environment &_ev)
{
  this->servant_->n234567 (_ev);
}

void _tao_collocated_onewaytest::n2345678(CORBA::Environment &_ev)
{
  this->servant_->n2345678 (_ev);
}

void _tao_collocated_onewaytest::n23456789(CORBA::Environment &_ev)
{
  this->servant_->n23456789 (_ev);
}

void _tao_collocated_onewaytest::n234567890(CORBA::Environment &_ev)
{
  this->servant_->n234567890 (_ev);
}

CORBA::Boolean _tao_collocated_onewaytest::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, onewaytest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, onewaytest , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, onewaytest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, onewaytest , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, onewaytest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, onewaytest , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_onewaytest::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t144_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t144_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t144_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t145_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t145_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t145_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  POA_onewaytest *_local_this;
                  unsigned int _t146_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort312);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(6);
                  flick_cdr_swap_decode_unsigned32(2, _t146_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(6);
                  flick_iiopxx_decode_end_glob(20);
                  flick_iiopxx_decode_new_glob(_t146_principal_len);
                  flick_iiopxx_check_span(_t146_principal_len * 1, _flick_abort312);
                  flick_iiopxx_decode_new_chunk(_t146_principal_len);
                  flick_iiopxx_decode_end_chunk(_t146_principal_len);
                  flick_iiopxx_decode_end_glob(_t146_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->n(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t147_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort312);
                    flick_iiopxx_encode_new_glob(4, _flick_abort312);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t147_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t147_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
                          break;
                          {
                          _flick_abort318:
                            goto _flick_abort312;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort319:
                            goto _flick_abort312;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort312:
                    goto _flick_abort311;
                  }
                }
                break;
                {
                _flick_abort311:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t148_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t148_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t148_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t149_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t149_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t149_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t150_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort321);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t150_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t150_principal_len);
                        flick_iiopxx_check_span(_t150_principal_len * 1, _flick_abort321);
                        flick_iiopxx_decode_new_chunk(_t150_principal_len);
                        flick_iiopxx_decode_end_chunk(_t150_principal_len);
                        flick_iiopxx_decode_end_glob(_t150_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t151_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t151_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort321);
                          flick_iiopxx_encode_new_glob(4, _flick_abort321);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t151_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t151_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort327);
                                break;
                                {
                                _flick_abort327:
                                  goto _flick_abort321;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort328);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort328:
                                  goto _flick_abort321;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort321:
                          goto _flick_abort320;
                        }
                      }
                      break;
                      {
                      _flick_abort320:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t152_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t152_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t152_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  POA_onewaytest *_local_this;
                  unsigned int _t153_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort330);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t153_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(20);
                  flick_iiopxx_decode_new_glob(_t153_principal_len);
                  flick_iiopxx_check_span(_t153_principal_len * 1, _flick_abort330);
                  flick_iiopxx_decode_new_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_glob(_t153_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->n23(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t154_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t154_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort330);
                    flick_iiopxx_encode_new_glob(4, _flick_abort330);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t154_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t154_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort336);
                          break;
                          {
                          _flick_abort336:
                            goto _flick_abort330;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort337);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort337:
                            goto _flick_abort330;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort330:
                    goto _flick_abort329;
                  }
                }
                break;
                {
                _flick_abort329:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t155_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t155_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t156_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t156_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t157_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort339);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t157_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t157_principal_len);
                        flick_iiopxx_check_span(_t157_principal_len * 1, _flick_abort339);
                        flick_iiopxx_decode_new_chunk(_t157_principal_len);
                        flick_iiopxx_decode_end_chunk(_t157_principal_len);
                        flick_iiopxx_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n234(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t158_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort339);
                          flick_iiopxx_encode_new_glob(4, _flick_abort339);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t158_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t158_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort345);
                                break;
                                {
                                _flick_abort345:
                                  goto _flick_abort339;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort346);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort346:
                                  goto _flick_abort339;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort339:
                          goto _flick_abort338;
                        }
                      }
                      break;
                      {
                      _flick_abort338:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t159_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t159_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t160_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t160_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t160_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t161_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort348);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t161_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t161_principal_len);
                        flick_iiopxx_check_span(_t161_principal_len * 1, _flick_abort348);
                        flick_iiopxx_decode_new_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_glob(_t161_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n2345(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t162_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t162_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort348);
                          flick_iiopxx_encode_new_glob(4, _flick_abort348);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t162_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t162_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort354);
                                break;
                                {
                                _flick_abort354:
                                  goto _flick_abort348;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort355);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort355:
                                  goto _flick_abort348;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort348:
                          goto _flick_abort347;
                        }
                      }
                      break;
                      {
                      _flick_abort347:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t163_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t163_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t163_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t164_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t165_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort357);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t164_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t164_principal_len);
                        flick_iiopxx_check_span(_t164_principal_len * 1, _flick_abort357);
                        flick_iiopxx_decode_new_chunk(_t164_principal_len);
                        flick_iiopxx_decode_end_chunk(_t164_principal_len);
                        flick_iiopxx_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort357);
                        flick_cdr_swap_decode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t165_temp_string_len);
                        flick_iiopxx_check_span(1 * _t165_temp_string_len * 1, _flick_abort357);
                        flick_iiopxx_decode_new_chunk(1 * _t165_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t165_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort357);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t165_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t165_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t165_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t166_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t166_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort357);
                          flick_iiopxx_encode_new_glob(5, _flick_abort357);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t166_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t166_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort365);
                                break;
                                {
                                _flick_abort365:
                                  goto _flick_abort357;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort366:
                                  goto _flick_abort357;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort357:
                          goto _flick_abort356;
                        }
                      }
                      break;
                      {
                      _flick_abort356:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t167_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t167_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t168_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t168_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t168_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t169_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t169_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t169_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t170_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort368);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t170_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t170_principal_len);
                              flick_iiopxx_check_span(_t170_principal_len * 1, _flick_abort368);
                              flick_iiopxx_decode_new_chunk(_t170_principal_len);
                              flick_iiopxx_decode_end_chunk(_t170_principal_len);
                              flick_iiopxx_decode_end_glob(_t170_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n23456(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t171_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort368);
                                flick_iiopxx_encode_new_glob(4, _flick_abort368);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t171_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t171_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort374);
                                      break;
                                      {
                                      _flick_abort374:
                                        goto _flick_abort368;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort375);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort375:
                                        goto _flick_abort368;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort368:
                                goto _flick_abort367;
                              }
                            }
                            break;
                            {
                            _flick_abort367:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t172_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t172_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t173_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t173_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t173_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t174_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort377);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t174_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t174_principal_len);
                        flick_iiopxx_check_span(_t174_principal_len * 1, _flick_abort377);
                        flick_iiopxx_decode_new_chunk(_t174_principal_len);
                        flick_iiopxx_decode_end_chunk(_t174_principal_len);
                        flick_iiopxx_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n234567(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t175_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t175_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort377);
                          flick_iiopxx_encode_new_glob(4, _flick_abort377);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t175_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t175_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort383);
                                break;
                                {
                                _flick_abort383:
                                  goto _flick_abort377;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort384);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort384:
                                  goto _flick_abort377;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort377:
                          goto _flick_abort376;
                        }
                      }
                      break;
                      {
                      _flick_abort376:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t176_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t176_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t176_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t177_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t177_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t177_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t178_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t178_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t178_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t179_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort386);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t179_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t179_principal_len);
                              flick_iiopxx_check_span(_t179_principal_len * 1, _flick_abort386);
                              flick_iiopxx_decode_new_chunk(_t179_principal_len);
                              flick_iiopxx_decode_end_chunk(_t179_principal_len);
                              flick_iiopxx_decode_end_glob(_t179_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n2345678(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t180_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t180_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort386);
                                flick_iiopxx_encode_new_glob(4, _flick_abort386);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t180_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t180_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort392);
                                      break;
                                      {
                                      _flick_abort392:
                                        goto _flick_abort386;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort393);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort393:
                                        goto _flick_abort386;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort386:
                                goto _flick_abort385;
                              }
                            }
                            break;
                            {
                            _flick_abort385:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t181_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t181_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t181_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t182_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t182_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t182_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t183_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t183_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t183_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t184_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort395);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t184_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t184_principal_len);
                              flick_iiopxx_check_span(_t184_principal_len * 1, _flick_abort395);
                              flick_iiopxx_decode_new_chunk(_t184_principal_len);
                              flick_iiopxx_decode_end_chunk(_t184_principal_len);
                              flick_iiopxx_decode_end_glob(_t184_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n23456789(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t185_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t185_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort395);
                                flick_iiopxx_encode_new_glob(4, _flick_abort395);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t185_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t185_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort401);
                                      break;
                                      {
                                      _flick_abort401:
                                        goto _flick_abort395;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort402);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort402:
                                        goto _flick_abort395;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort395:
                                goto _flick_abort394;
                              }
                            }
                            break;
                            {
                            _flick_abort394:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t186_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t186_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t186_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t187_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t187_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t187_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t188_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t188_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t188_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t189_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t189_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t189_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_onewaytest *_local_this;
                                    unsigned int _t190_principal_len;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort404);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t190_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t190_principal_len);
                                    flick_iiopxx_check_span(_t190_principal_len * 1, _flick_abort404);
                                    flick_iiopxx_decode_new_chunk(_t190_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t190_principal_len);
                                    flick_iiopxx_decode_end_glob(_t190_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->n234567890(_ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t191_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t191_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort404);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort404);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t191_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t191_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort410);
                                            break;
                                            {
                                            _flick_abort410:
                                              goto _flick_abort404;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort411);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort411:
                                              goto _flick_abort404;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort404:
                                      goto _flick_abort403;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort403:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t48_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t48_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t49_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t49_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t49_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  POA_onewaytest *_local_this;
                  unsigned int _t50_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort109);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(6);
                  flick_cdr_decode_unsigned32(2, _t50_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(6);
                  flick_iiopxx_decode_end_glob(20);
                  flick_iiopxx_decode_new_glob(_t50_principal_len);
                  flick_iiopxx_check_span(_t50_principal_len * 1, _flick_abort109);
                  flick_iiopxx_decode_new_chunk(_t50_principal_len);
                  flick_iiopxx_decode_end_chunk(_t50_principal_len);
                  flick_iiopxx_decode_end_glob(_t50_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->n(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t51_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort109);
                    flick_iiopxx_encode_new_glob(4, _flick_abort109);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t51_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t51_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort115);
                          break;
                          {
                          _flick_abort115:
                            goto _flick_abort109;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort116:
                            goto _flick_abort109;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort109:
                    goto _flick_abort108;
                  }
                }
                break;
                {
                _flick_abort108:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t52_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t52_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t52_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t53_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t53_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t53_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t54_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort118);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t54_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t54_principal_len);
                        flick_iiopxx_check_span(_t54_principal_len * 1, _flick_abort118);
                        flick_iiopxx_decode_new_chunk(_t54_principal_len);
                        flick_iiopxx_decode_end_chunk(_t54_principal_len);
                        flick_iiopxx_decode_end_glob(_t54_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t55_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t55_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort118);
                          flick_iiopxx_encode_new_glob(4, _flick_abort118);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t55_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t55_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort124);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort118;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort125:
                                  goto _flick_abort118;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort118:
                          goto _flick_abort117;
                        }
                      }
                      break;
                      {
                      _flick_abort117:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t56_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t56_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  POA_onewaytest *_local_this;
                  unsigned int _t57_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort127);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(20);
                  flick_iiopxx_decode_new_glob(_t57_principal_len);
                  flick_iiopxx_check_span(_t57_principal_len * 1, _flick_abort127);
                  flick_iiopxx_decode_new_chunk(_t57_principal_len);
                  flick_iiopxx_decode_end_chunk(_t57_principal_len);
                  flick_iiopxx_decode_end_glob(_t57_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->n23(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t58_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t58_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort127);
                    flick_iiopxx_encode_new_glob(4, _flick_abort127);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t58_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t58_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
                          break;
                          {
                          _flick_abort133:
                            goto _flick_abort127;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort134:
                            goto _flick_abort127;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort127:
                    goto _flick_abort126;
                  }
                }
                break;
                {
                _flick_abort126:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t59_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t60_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t60_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t60_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t61_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort136);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t61_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t61_principal_len);
                        flick_iiopxx_check_span(_t61_principal_len * 1, _flick_abort136);
                        flick_iiopxx_decode_new_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n234(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t62_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t62_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort136);
                          flick_iiopxx_encode_new_glob(4, _flick_abort136);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t62_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t62_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort142);
                                break;
                                {
                                _flick_abort142:
                                  goto _flick_abort136;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort143:
                                  goto _flick_abort136;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort135;
                        }
                      }
                      break;
                      {
                      _flick_abort135:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t63_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t64_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t65_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t65_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t65_principal_len);
                        flick_iiopxx_check_span(_t65_principal_len * 1, _flick_abort145);
                        flick_iiopxx_decode_new_chunk(_t65_principal_len);
                        flick_iiopxx_decode_end_chunk(_t65_principal_len);
                        flick_iiopxx_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n2345(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t66_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t66_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort145);
                          flick_iiopxx_encode_new_glob(4, _flick_abort145);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t66_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t66_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort151);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t67_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t67_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t68_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t69_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort154);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t68_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t68_principal_len);
                        flick_iiopxx_check_span(_t68_principal_len * 1, _flick_abort154);
                        flick_iiopxx_decode_new_chunk(_t68_principal_len);
                        flick_iiopxx_decode_end_chunk(_t68_principal_len);
                        flick_iiopxx_decode_end_glob(_t68_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort154);
                        flick_cdr_decode_unsigned32(0, _t69_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t69_temp_string_len);
                        flick_iiopxx_check_span(1 * _t69_temp_string_len * 1, _flick_abort154);
                        flick_iiopxx_decode_new_chunk(1 * _t69_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t69_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t69_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t69_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t69_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t70_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort154);
                          flick_iiopxx_encode_new_glob(5, _flick_abort154);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t70_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t70_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort154;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort154;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort154:
                          goto _flick_abort153;
                        }
                      }
                      break;
                      {
                      _flick_abort153:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t71_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t72_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t73_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t73_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t73_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t74_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort165);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t74_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t74_principal_len);
                              flick_iiopxx_check_span(_t74_principal_len * 1, _flick_abort165);
                              flick_iiopxx_decode_new_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n23456(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t75_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t75_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort165);
                                flick_iiopxx_encode_new_glob(4, _flick_abort165);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t75_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t75_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t76_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t77_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t77_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        POA_onewaytest *_local_this;
                        unsigned int _t78_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort174);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t78_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t78_principal_len);
                        flick_iiopxx_check_span(_t78_principal_len * 1, _flick_abort174);
                        flick_iiopxx_decode_new_chunk(_t78_principal_len);
                        flick_iiopxx_decode_end_chunk(_t78_principal_len);
                        flick_iiopxx_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->n234567(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t79_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t79_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort174);
                          flick_iiopxx_encode_new_glob(4, _flick_abort174);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t79_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t79_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort180);
                                break;
                                {
                                _flick_abort180:
                                  goto _flick_abort174;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort181:
                                  goto _flick_abort174;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort174:
                          goto _flick_abort173;
                        }
                      }
                      break;
                      {
                      _flick_abort173:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t80_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t80_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t81_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t81_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t82_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t82_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t82_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t83_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort183);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t83_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t83_principal_len);
                              flick_iiopxx_check_span(_t83_principal_len * 1, _flick_abort183);
                              flick_iiopxx_decode_new_chunk(_t83_principal_len);
                              flick_iiopxx_decode_end_chunk(_t83_principal_len);
                              flick_iiopxx_decode_end_glob(_t83_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n2345678(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t84_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t84_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort183);
                                flick_iiopxx_encode_new_glob(4, _flick_abort183);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t84_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t84_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort189);
                                      break;
                                      {
                                      _flick_abort189:
                                        goto _flick_abort183;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort183;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort183:
                                goto _flick_abort182;
                              }
                            }
                            break;
                            {
                            _flick_abort182:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t85_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t86_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t87_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t87_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t87_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              POA_onewaytest *_local_this;
                              unsigned int _t88_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort192);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t88_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t88_principal_len);
                              flick_iiopxx_check_span(_t88_principal_len * 1, _flick_abort192);
                              flick_iiopxx_decode_new_chunk(_t88_principal_len);
                              flick_iiopxx_decode_end_chunk(_t88_principal_len);
                              flick_iiopxx_decode_end_glob(_t88_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->n23456789(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t89_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t89_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort192);
                                flick_iiopxx_encode_new_glob(4, _flick_abort192);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t89_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t89_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort198);
                                      break;
                                      {
                                      _flick_abort198:
                                        goto _flick_abort192;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort199);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort192;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort192:
                                goto _flick_abort191;
                              }
                            }
                            break;
                            {
                            _flick_abort191:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t90_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t90_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t90_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t91_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t91_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t92_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t92_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t93_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t93_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t93_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_onewaytest *_local_this;
                                    unsigned int _t94_principal_len;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort201);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t94_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t94_principal_len);
                                    flick_iiopxx_check_span(_t94_principal_len * 1, _flick_abort201);
                                    flick_iiopxx_decode_new_chunk(_t94_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t94_principal_len);
                                    flick_iiopxx_decode_end_glob(_t94_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->n234567890(_ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t95_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t95_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort201);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort201);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t95_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t95_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort207);
                                            break;
                                            {
                                            _flick_abort207:
                                              goto _flick_abort201;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort208:
                                              goto _flick_abort201;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort201:
                                      goto _flick_abort200;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort200:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

