#ifndef _sequence_server_h_
#define _sequence_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "sequence-client.h"
#include <flick/pres/corbaxx.h>

class POA_TestSeq ;


typedef POA_TestSeq *POA_TestSeq_ptr;

class POA_TestSeq : public virtual PortableServer::ServantBase {

protected:
  POA_TestSeq();

public:
  POA_TestSeq(const POA_TestSeq &rhs);
  virtual ~POA_TestSeq();
  TestSeq *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual vec10 *op(/* POA_TestSeq *this, */ const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_TestSeq_tie : public POA_TestSeq {

  public:
    POA_TestSeq_tie(T &t);
    POA_TestSeq_tie(T &t, PortableServer::POA_ptr poa);
    POA_TestSeq_tie(T *t, CORBA::Boolean release = 1);
    POA_TestSeq_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_TestSeq_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_TestSeq_tie(const POA_TestSeq_tie &c);
    void operator=(const POA_TestSeq_tie &c);

  public:
    vec10 *op(/* POA_TestSeq *this, */ const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, TestSeq_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, TestSeq_ptr *_data);

class _tao_collocated_TestSeq : public virtual TestSeq {

public:
  _tao_collocated_TestSeq(POA_TestSeq_ptr servant, TAO_Stub *stub);
  POA_TestSeq_ptr _get_servant() const;
  virtual vec10 *op(const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_TestSeq_ptr servant_;
} ;


#endif /* _sequence_server_h_ */
