#include "sequence_-server.h"

POA_TestSeq::POA_TestSeq()
{}

POA_TestSeq::POA_TestSeq(const POA_TestSeq &rhs)
  : TAO_ServantBase(rhs)
{}

POA_TestSeq::~POA_TestSeq()
{}

TestSeq *POA_TestSeq::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_TestSeq(this, stub);
}

CORBA::Boolean POA_TestSeq::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:TestSeq:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_TestSeq::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:TestSeq:1.0") == 0)
    return ACE_static_cast(POA_TestSeq_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_TestSeq::_interface_repository_id() const
{
  return "IDL:TestSeq:1.0";
}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_TestSeq_tie<T>::~POA_TestSeq_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_TestSeq_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_TestSeq_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_TestSeq_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_TestSeq_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_TestSeq_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_TestSeq_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(const POA_TestSeq_tie &c)
{}

template <class T>
  void POA_TestSeq_tie<T>::operator=(const POA_TestSeq_tie &c)
{}

template <class T>
  CORBA::Short POA_TestSeq_tie<T>::Sequencer(/* POA_TestSeq *this, */ seq &a, CORBA::Environment &_ev)
{
  return this->ptr_->Sequencer (a, _ev);
}

_tao_collocated_TestSeq::_tao_collocated_TestSeq(POA_TestSeq_ptr servant, TAO_Stub *stub)
  : TestSeq(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_TestSeq_ptr _tao_collocated_TestSeq::_get_servant() const
{
  return this->servant_;
}

CORBA::Short _tao_collocated_TestSeq::Sequencer(seq &a, CORBA::Environment &_ev)
{
  return this->servant_->Sequencer (a, _ev);
}

CORBA::Boolean _tao_collocated_TestSeq::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, TestSeq_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, TestSeq , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, TestSeq_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, TestSeq , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, TestSeq_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, TestSeq , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_TestSeq::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t34_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t34_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t34_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t35_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t36_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t36_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t37_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t37_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              POA_TestSeq *_local_this;
                              unsigned int _t38_principal_len;
                              CORBA::Short _return;
                              seq _local_a;
                              CORBA::ULong _t39_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort90);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t38_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t38_principal_len);
                              flick_iiopxx_check_span(_t38_principal_len * 1, _flick_abort90);
                              flick_iiopxx_decode_new_chunk(_t38_principal_len);
                              flick_iiopxx_decode_end_chunk(_t38_principal_len);
                              flick_iiopxx_decode_end_glob(_t38_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(47);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort90);
                              flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(_local_a._length * 4, _flick_abort90);
                              for (_t39_array_iter = 0; _t39_array_iter < _local_a._length; _t39_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t39_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_end_glob(47);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Sequencer(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t40_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t40_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort90);
                                flick_iiopxx_encode_new_glob(52, _flick_abort90);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t40_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t40_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(8 + 4 * _local_a._length);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_cdr_encode_unsigned32(4, _local_a._length, CORBA::ULong );
                                      if (_local_a._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort102);
                                      flick_cdr_encode_bcopy(8, _local_a._buffer, 4 * _local_a._length);
                                      if (_local_a._release)
                                        delete [] _local_a._buffer;
                                      _local_a._maximum = 0;
                                      _local_a._release = 0;
                                      _local_a._buffer = 0;
                                      flick_iiopxx_encode_end_chunk(8 + 4 * _local_a._length);
                                      flick_iiopxx_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort102:
                                        goto _flick_abort90;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(52);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort105);
                                      break;
                                      {
                                      _flick_abort105:
                                        goto _flick_abort90;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort106);
                                      flick_iiopxx_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort106:
                                        goto _flick_abort90;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort90:
                                goto _flick_abort89;
                              }
                            }
                            break;
                            {
                            _flick_abort89:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t41_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t41_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t42_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t42_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t42_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_TestSeq *_local_this;
                        unsigned int _t43_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t44_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort108);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t43_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t43_principal_len);
                        flick_iiopxx_check_span(_t43_principal_len * 1, _flick_abort108);
                        flick_iiopxx_decode_new_chunk(_t43_principal_len);
                        flick_iiopxx_decode_end_chunk(_t43_principal_len);
                        flick_iiopxx_decode_end_glob(_t43_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort108);
                        flick_cdr_swap_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t44_temp_string_len);
                        flick_iiopxx_check_span(1 * _t44_temp_string_len * 1, _flick_abort108);
                        flick_iiopxx_decode_new_chunk(1 * _t44_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t44_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort108);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t44_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t44_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t44_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t45_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t45_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort108);
                          flick_iiopxx_encode_new_glob(5, _flick_abort108);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t45_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t45_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort116);
                                break;
                                {
                                _flick_abort116:
                                  goto _flick_abort108;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort117:
                                  goto _flick_abort108;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort108:
                          goto _flick_abort107;
                        }
                      }
                      break;
                      {
                      _flick_abort107:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t12_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t13_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t13_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t14_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t14_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              POA_TestSeq *_local_this;
                              unsigned int _t15_principal_len;
                              CORBA::Short _return;
                              seq _local_a;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort34);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t15_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t15_principal_len);
                              flick_iiopxx_check_span(_t15_principal_len * 1, _flick_abort34);
                              flick_iiopxx_decode_new_chunk(_t15_principal_len);
                              flick_iiopxx_decode_end_chunk(_t15_principal_len);
                              flick_iiopxx_decode_end_glob(_t15_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(47);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort34);
                              flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort34);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(4 * _local_a._length * 1, _flick_abort34);
                              flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                              flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                              flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                              flick_iiopxx_decode_end_glob(47);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Sequencer(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t16_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t16_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort34);
                                flick_iiopxx_encode_new_glob(52, _flick_abort34);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t16_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t16_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(8 + 4 * _local_a._length);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_cdr_encode_unsigned32(4, _local_a._length, CORBA::ULong );
                                      if (_local_a._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort43);
                                      flick_cdr_encode_bcopy(8, _local_a._buffer, 4 * _local_a._length);
                                      if (_local_a._release)
                                        delete [] _local_a._buffer;
                                      _local_a._maximum = 0;
                                      _local_a._release = 0;
                                      _local_a._buffer = 0;
                                      flick_iiopxx_encode_end_chunk(8 + 4 * _local_a._length);
                                      flick_iiopxx_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort43:
                                        goto _flick_abort34;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(52);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort46);
                                      break;
                                      {
                                      _flick_abort46:
                                        goto _flick_abort34;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                      flick_iiopxx_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort47:
                                        goto _flick_abort34;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort34:
                                goto _flick_abort33;
                              }
                            }
                            break;
                            {
                            _flick_abort33:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_TestSeq *_local_this;
                        unsigned int _t19_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t19_principal_len);
                        flick_iiopxx_check_span(_t19_principal_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort49);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_check_span(1 * _t20_temp_string_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(1 * _t20_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t20_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t20_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t21_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t21_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort49);
                          flick_iiopxx_encode_new_glob(5, _flick_abort49);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t21_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t21_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
                                break;
                                {
                                _flick_abort57:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

