#ifndef _ttcp_server_h_
#define _ttcp_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "ttcp-client.h"
#include <flick/pres/corbaxx.h>

class POA_ttcp ;


typedef POA_ttcp *POA_ttcp_ptr;

class POA_ttcp : public virtual PortableServer::ServantBase {

protected:
  POA_ttcp();

public:
  POA_ttcp(const POA_ttcp &rhs);
  virtual ~POA_ttcp();
  ttcp *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long inttest(/* POA_ttcp *this, */ const intBuffer &data, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long structtest(/* POA_ttcp *this, */ const structBuffer &data, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ttcp_tie : public POA_ttcp {

  public:
    POA_ttcp_tie(T &t);
    POA_ttcp_tie(T &t, PortableServer::POA_ptr poa);
    POA_ttcp_tie(T *t, CORBA::Boolean release = 1);
    POA_ttcp_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ttcp_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ttcp_tie(const POA_ttcp_tie &c);
    void operator=(const POA_ttcp_tie &c);

  public:
    CORBA::Long inttest(/* POA_ttcp *this, */ const intBuffer &data, CORBA::Environment &_ev);
    CORBA::Long structtest(/* POA_ttcp *this, */ const structBuffer &data, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, ttcp_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ttcp_ptr *_data);

class _tao_collocated_ttcp : public virtual ttcp {

public:
  _tao_collocated_ttcp(POA_ttcp_ptr servant, TAO_Stub *stub);
  POA_ttcp_ptr _get_servant() const;
  virtual CORBA::Long inttest(const intBuffer &data, CORBA::Environment &_ev);
  virtual CORBA::Long structtest(const structBuffer &data, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_ttcp_ptr servant_;
} ;


#endif /* _ttcp_server_h_ */
