#ifndef _turtle_server_server_h_
#define _turtle_server_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "turtle-client-client.h"
#include <flick/pres/corbaxx.h>

class POA_Server ;


typedef POA_Server *POA_Server_ptr;

class POA_Server : public virtual PortableServer::ServantBase {

protected:
  POA_Server();

public:
  POA_Server(const POA_Server &rhs);
  virtual ~POA_Server();
  Server *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long SetSize(/* POA_Server *this, */ CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long AddWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long DelWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long AddRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long DelRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long SetTurtle(/* POA_Server *this, */ CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long GetTurtle(/* POA_Server *this, */ CORBA::Long &x, CORBA::Long &y, CORBA::Long &angle, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_Server_tie : public POA_Server {

  public:
    POA_Server_tie(T &t);
    POA_Server_tie(T &t, PortableServer::POA_ptr poa);
    POA_Server_tie(T *t, CORBA::Boolean release = 1);
    POA_Server_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_Server_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_Server_tie(const POA_Server_tie &c);
    void operator=(const POA_Server_tie &c);

  public:
    CORBA::Long SetSize(/* POA_Server *this, */ CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev);
    CORBA::Long AddWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
    CORBA::Long DelWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
    CORBA::Long AddRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev);
    CORBA::Long DelRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev);
    CORBA::Long SetTurtle(/* POA_Server *this, */ CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev);
    CORBA::Long GetTurtle(/* POA_Server *this, */ CORBA::Long &x, CORBA::Long &y, CORBA::Long &angle, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, Server_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Server_ptr *_data);

class _tao_collocated_Server : public virtual Server {

public:
  _tao_collocated_Server(POA_Server_ptr servant, TAO_Stub *stub);
  POA_Server_ptr _get_servant() const;
  virtual CORBA::Long SetSize(CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev);
  virtual CORBA::Long AddWall(CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
  virtual CORBA::Long DelWall(CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
  virtual CORBA::Long AddRect(CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev);
  virtual CORBA::Long DelRect(CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev);
  virtual CORBA::Long SetTurtle(CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev);
  virtual CORBA::Long GetTurtle(CORBA::Long &x, CORBA::Long &y, CORBA::Long &angle, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_Server_ptr servant_;
} ;


#endif /* _turtle_server_server_h_ */
