#include "mig-tests-client.h"

/* This is the runtime type information */
/* */

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_khazana_encode_new_glob(16, _flick_abort1);
    flick_khazana_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt, Iint );
    flick_cdr_encode_signed32(12, *inoutInt, Iint );
    flick_khazana_encode_end_chunk(16);
    flick_khazana_encode_end_glob(16);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort11);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_swap_decode_signed32(4, *outInt, Iint );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort11:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort6);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_decode_signed32(4, *outInt, Iint );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, khazana, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort14);
  }
  {
    unsigned *_t3_internal;
    unsigned *_t4_internal;
    unsigned *_t5_internal;

    _t3_internal = (unsigned *)(&(inStruct));
    _t4_internal = (unsigned *)(&(*inoutStruct));
    _t5_internal = (unsigned *)(&(*outStruct));

    flick_khazana_encode_new_glob(808, _flick_abort14);
    flick_khazana_encode_new_chunk(808);
    flick_cdr_encode_signed32(0, 5550002, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t3_internal, 400);
    flick_cdr_encode_bcopy(408, _t4_internal, 400);
    flick_khazana_encode_end_chunk(808);
    flick_khazana_encode_end_glob(808);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(804);
      flick_khazana_check_span(4, _flick_abort14);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t17_internal;
            unsigned *_t18_internal;
            flick_unsigned32_t _t19_array_iter;
            unsigned *_t20_internal;
            flick_unsigned32_t _t21_array_iter;

            _t17_internal = (unsigned *)(&(inStruct));
            _t18_internal = (unsigned *)(&(*inoutStruct));
            _t20_internal = (unsigned *)(&(*outStruct));

            /* Begin decode phase on parameters */
            flick_khazana_check_span(100 * 4 + (100 * 4 + 0), _flick_abort55);
            for (_t19_array_iter = 0; _t19_array_iter < 100; _t19_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t18_internal[_t19_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            for (_t21_array_iter = 0; _t21_array_iter < 100; _t21_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t20_internal[_t21_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(804);
            break;
            {
            _flick_abort55:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort67);
            break;
            {
            _flick_abort67:
              goto _flick_abort14;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(804);
      flick_khazana_check_span(4, _flick_abort14);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t9_internal;
            unsigned *_t10_internal;
            unsigned *_t11_internal;

            _t9_internal = (unsigned *)(&(inStruct));
            _t10_internal = (unsigned *)(&(*inoutStruct));
            _t11_internal = (unsigned *)(&(*outStruct));

            /* Begin decode phase on parameters */
            flick_khazana_check_span(800, _flick_abort34);
            flick_khazana_decode_new_chunk(800);
            flick_cdr_decode_bcopy(0, _t10_internal, 400);
            flick_cdr_decode_bcopy(400, _t11_internal, 400);
            flick_khazana_decode_end_chunk(800);
            flick_khazana_decode_end_glob(804);
            break;
            {
            _flick_abort34:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort40);
            break;
            {
            _flick_abort40:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_mig_client_error(cdr, khazana, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort69);
  }
  {
    unsigned *_t24_internal;
    unsigned *_t25_internal;

    _t24_internal = (unsigned *)inArray;
    _t25_internal = (unsigned *)inoutArray;

    flick_khazana_encode_new_glob(2408, _flick_abort69);
    flick_khazana_encode_new_chunk(2408);
    flick_cdr_encode_signed32(0, 5550003, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t24_internal, 1200);
    flick_cdr_encode_bcopy(1208, _t25_internal, 1200);
    flick_khazana_encode_end_chunk(2408);
    flick_khazana_encode_end_glob(2408);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(2404);
      flick_khazana_check_span(4, _flick_abort69);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t34_internal;
            flick_unsigned32_t _t35_array_iter;
            unsigned *_t36_internal;
            flick_unsigned32_t _t37_array_iter;

            _t34_internal = (unsigned *)inoutArray;
            _t36_internal = (unsigned *)outArray;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(300 * 4 + (300 * 4 + 0), _flick_abort110);
            for (_t35_array_iter = 0; _t35_array_iter < 300; _t35_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t34_internal[_t35_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            for (_t37_array_iter = 0; _t37_array_iter < 300; _t37_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t36_internal[_t37_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(2404);
            break;
            {
            _flick_abort110:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort122);
            break;
            {
            _flick_abort122:
              goto _flick_abort69;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(2404);
      flick_khazana_check_span(4, _flick_abort69);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t28_internal;
            unsigned *_t29_internal;

            _t28_internal = (unsigned *)inoutArray;
            _t29_internal = (unsigned *)outArray;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(2400, _flick_abort89);
            flick_khazana_decode_new_chunk(2400);
            flick_cdr_decode_bcopy(0, _t28_internal, 1200);
            flick_cdr_decode_bcopy(1200, _t29_internal, 1200);
            flick_khazana_decode_end_chunk(2400);
            flick_khazana_decode_end_glob(2404);
            break;
            {
            _flick_abort89:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort95);
            break;
            {
            _flick_abort95:
              goto _flick_abort69;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort69:
    flick_mig_client_error(cdr, khazana, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort124);
  }
  {
    flick_khazana_encode_new_glob(2012, _flick_abort124);
    flick_khazana_encode_new_chunk(12 + 4 * inArrayCnt);
    flick_cdr_encode_signed32(0, 5550004, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 500)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort124);
    flick_cdr_encode_bcopy(12, inArray, 4 * inArrayCnt);
    flick_khazana_encode_end_chunk(12 + 4 * inArrayCnt);
    *outArrayCnt = 0;
    outArray = 0;
    flick_khazana_encode_end_glob(2012);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort124);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(2008);
      flick_khazana_check_span(4, _flick_abort124);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t39_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort150);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort150);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(*outArrayCnt * 4, _flick_abort150);
            for (_t39_array_iter = 0; _t39_array_iter < *outArrayCnt; _t39_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outArray[_t39_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(2008);
            break;
            {
            _flick_abort150:
              goto _flick_abort124;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort157);
            break;
            {
            _flick_abort157:
              goto _flick_abort124;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(2008);
      flick_khazana_check_span(4, _flick_abort124);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort136);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort136);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(4 * *outArrayCnt * 1, _flick_abort136);
            flick_khazana_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, outArray, 4 * *outArrayCnt);
            flick_khazana_decode_end_chunk(4 * *outArrayCnt);
            flick_khazana_decode_end_glob(2008);
            break;
            {
            _flick_abort136:
              goto _flick_abort124;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort140);
            break;
            {
            _flick_abort140:
              goto _flick_abort124;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort124:
    flick_mig_client_error(cdr, khazana, _flick_abort123);
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort159);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort159);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
    flick_khazana_encode_new_glob(4 * inArrayCnt, _flick_abort159);
    flick_khazana_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_khazana_encode_end_chunk(4 * inArrayCnt);
    flick_khazana_encode_end_glob(4 * inArrayCnt);
    *outArrayCnt = 0;
    *outArray = 0;
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort159);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort159);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t41_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort185);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
              *outArray = _t_alloc_ptr;
            }
            flick_khazana_check_span(*outArrayCnt * 4, _flick_abort185);
            for (_t41_array_iter = 0; _t41_array_iter < *outArrayCnt; _t41_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t41_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort185:
              goto _flick_abort159;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort192);
            break;
            {
            _flick_abort192:
              goto _flick_abort159;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort159);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort171);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(4 * *outArrayCnt);
            flick_khazana_check_span(4 * *outArrayCnt * 1, _flick_abort171);
            flick_khazana_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort171);
              *outArray = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_khazana_decode_end_chunk(4 * *outArrayCnt);
            flick_khazana_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort171:
              goto _flick_abort159;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort175);
            break;
            {
            _flick_abort175:
              goto _flick_abort159;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort159:
    flick_mig_client_error(cdr, khazana, _flick_abort158);
  _flick_abort158:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort194);
  }
  {
    char *_t44_internal;
    char *_t45_internal;

    _t44_internal = (char *)inString;
    _t45_internal = (char *)inoutString;

    flick_khazana_encode_new_glob(1608, _flick_abort194);
    flick_khazana_encode_new_chunk(1608);
    flick_cdr_encode_signed32(0, 5550006, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t44_internal, 799);
    flick_cdr_encode_bcopy(808, _t45_internal, 799);
    flick_khazana_encode_end_chunk(1608);
    flick_khazana_encode_end_glob(1608);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort194);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(1604);
      flick_khazana_check_span(4, _flick_abort194);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t52_internal;
            char *_t53_internal;

            _t52_internal = (char *)inoutString;
            _t53_internal = (char *)outString;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(1600, _flick_abort229);
            flick_khazana_decode_new_chunk(1600);
            flick_cdr_swap_decode_bcopy(0, _t52_internal, 799);
            flick_cdr_swap_decode_bcopy(800, _t53_internal, 799);
            flick_khazana_decode_end_chunk(1600);
            flick_khazana_decode_end_glob(1604);
            break;
            {
            _flick_abort229:
              goto _flick_abort194;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort235);
            break;
            {
            _flick_abort235:
              goto _flick_abort194;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(1604);
      flick_khazana_check_span(4, _flick_abort194);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t48_internal;
            char *_t49_internal;

            _t48_internal = (char *)inoutString;
            _t49_internal = (char *)outString;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(1600, _flick_abort214);
            flick_khazana_decode_new_chunk(1600);
            flick_cdr_decode_bcopy(0, _t48_internal, 799);
            flick_cdr_decode_bcopy(800, _t49_internal, 799);
            flick_khazana_decode_end_chunk(1600);
            flick_khazana_decode_end_glob(1604);
            break;
            {
            _flick_abort214:
              goto _flick_abort194;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort220);
            break;
            {
            _flick_abort220:
              goto _flick_abort194;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort194:
    flick_mig_client_error(cdr, khazana, _flick_abort193);
  _flick_abort193:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort237);
  }
  {
    flick_unsigned32_t _t55_temp_string_len;

    flick_cdr_stringlen(IVstring , inString, flick_unsigned32_t , _t55_temp_string_len);

    flick_khazana_encode_new_glob(5010, _flick_abort237);
    flick_khazana_encode_new_chunk(12 + 1 * _t55_temp_string_len);
    flick_cdr_encode_signed32(0, 5550007, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t55_temp_string_len, flick_unsigned32_t );
    if (_t55_temp_string_len > 4997)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort237);
    flick_cdr_encode_bcopy(12, inString, 1 * _t55_temp_string_len);
    flick_khazana_encode_end_chunk(12 + 1 * _t55_temp_string_len);
    outString = 0;
    flick_khazana_encode_end_glob(5010);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort237);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(5006);
      flick_khazana_check_span(4, _flick_abort237);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t62_temp_string_len;
            flick_unsigned32_t _t63_temp_string_len;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort260);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t63_temp_string_len, flick_unsigned32_t );
            if (_t63_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort260);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(1 * _t63_temp_string_len * 1, _flick_abort260);
            flick_khazana_decode_new_chunk(1 * _t63_temp_string_len);
            flick_cdr_swap_decode_bcopy(0, outString, 1 * _t63_temp_string_len);
            flick_khazana_decode_end_chunk(1 * _t63_temp_string_len);
            flick_khazana_decode_end_glob(5006);
            break;
            {
            _flick_abort260:
              goto _flick_abort237;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort264);
            break;
            {
            _flick_abort264:
              goto _flick_abort237;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(5006);
      flick_khazana_check_span(4, _flick_abort237);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t58_temp_string_len;
            flick_unsigned32_t _t59_temp_string_len;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort249);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t59_temp_string_len, flick_unsigned32_t );
            if (_t59_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(1 * _t59_temp_string_len * 1, _flick_abort249);
            flick_khazana_decode_new_chunk(1 * _t59_temp_string_len);
            flick_cdr_decode_bcopy(0, outString, 1 * _t59_temp_string_len);
            flick_khazana_decode_end_chunk(1 * _t59_temp_string_len);
            flick_khazana_decode_end_glob(5006);
            break;
            {
            _flick_abort249:
              goto _flick_abort237;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort253);
            break;
            {
            _flick_abort253:
              goto _flick_abort237;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort237:
    flick_mig_client_error(cdr, khazana, _flick_abort236);
  _flick_abort236:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort266);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort266);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_cdr_encode_IOR(khazana, inRight, 1, _flick_abort266);
    flick_khazana_mark_port_for_cleanup(inRight, 1);
    flick_cdr_encode_IOR(khazana, *inoutRight, 0, _flick_abort266);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort266);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort266);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            flick_cdr_swap_decode_IOR(khazana, *inoutRight, 1);
            flick_cdr_swap_decode_IOR(khazana, *outRight, 1);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort277);
            break;
            {
            _flick_abort277:
              goto _flick_abort266;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort266);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            flick_cdr_decode_IOR(khazana, *inoutRight, 1);
            flick_cdr_decode_IOR(khazana, *outRight, 1);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort272);
            break;
            {
            _flick_abort272:
              goto _flick_abort266;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort266:
    flick_mig_client_error(cdr, khazana, _flick_abort265);
  _flick_abort265:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort279);
  }
  {
    mach_msg_type_number_t _t65_array_iter;

    flick_khazana_encode_new_glob(12, _flick_abort279);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
    for (_t65_array_iter = 0; _t65_array_iter < inRightCnt; _t65_array_iter++)
      {
        flick_cdr_encode_IOR(khazana, inRight[_t65_array_iter], 1, _flick_abort289);
        flick_khazana_mark_port_for_cleanup(inRight[_t65_array_iter], 1);
        continue;
        {
        _flick_abort289:
          goto _flick_abort279;
        }
      }
    *outRightCnt = 0;
    *outRight = 0;
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort279);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort279);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t69_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort317);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort317);
              *outRight = _t_alloc_ptr;
            }
            flick_khazana_check_span(*outRightCnt * 0, _flick_abort317);
            for (_t69_array_iter = 0; _t69_array_iter < *outRightCnt; _t69_array_iter++)
              {
                flick_cdr_swap_decode_IOR(khazana, (*outRight)[_t69_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort317:
              goto _flick_abort279;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort324);
            break;
            {
            _flick_abort324:
              goto _flick_abort279;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort279);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t67_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort300);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort300);
              *outRight = _t_alloc_ptr;
            }
            flick_khazana_check_span(*outRightCnt * 0, _flick_abort300);
            for (_t67_array_iter = 0; _t67_array_iter < *outRightCnt; _t67_array_iter++)
              {
                flick_cdr_decode_IOR(khazana, (*outRight)[_t67_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort300:
              goto _flick_abort279;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort307);
            break;
            {
            _flick_abort307:
              goto _flick_abort279;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort279:
    flick_mig_client_error(cdr, khazana, _flick_abort278);
  _flick_abort278:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort326);
  }
  {
    mach_msg_type_number_t _t71_array_iter;

    flick_khazana_encode_new_glob(12, _flick_abort326);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
    for (_t71_array_iter = 0; _t71_array_iter < inRightCnt; _t71_array_iter++)
      {
        flick_cdr_encode_IOR(khazana, inRight[_t71_array_iter], 0, _flick_abort336);
        continue;
        {
        _flick_abort336:
          goto _flick_abort326;
        }
      }
    *outRightCnt = 0;
    *outRight = 0;
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort326);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort326);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t75_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort364);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort364);
              *outRight = _t_alloc_ptr;
            }
            flick_khazana_check_span(*outRightCnt * 0, _flick_abort364);
            for (_t75_array_iter = 0; _t75_array_iter < *outRightCnt; _t75_array_iter++)
              {
                flick_cdr_swap_decode_IOR(khazana, (*outRight)[_t75_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort364:
              goto _flick_abort326;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort371);
            break;
            {
            _flick_abort371:
              goto _flick_abort326;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort326);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t73_array_iter;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort347);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort347);
              *outRight = _t_alloc_ptr;
            }
            flick_khazana_check_span(*outRightCnt * 0, _flick_abort347);
            for (_t73_array_iter = 0; _t73_array_iter < *outRightCnt; _t73_array_iter++)
              {
                flick_cdr_decode_IOR(khazana, (*outRight)[_t73_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort347:
              goto _flick_abort326;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort354);
            break;
            {
            _flick_abort354:
              goto _flick_abort326;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort326:
    flick_mig_client_error(cdr, khazana, _flick_abort325);
  _flick_abort325:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort373);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort373);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550012, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    *outInt = 0;
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort373);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort373);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort384);
            break;
            {
            _flick_abort384:
              goto _flick_abort373;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort373);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort379);
            break;
            {
            _flick_abort379:
              goto _flick_abort373;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort373:
    flick_mig_client_error(cdr, khazana, _flick_abort372);
  _flick_abort372:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort386);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort386);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550013, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    *outStruct = 0;
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort386);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort386);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort397);
            break;
            {
            _flick_abort397:
              goto _flick_abort386;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort386);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort392);
            break;
            {
            _flick_abort392:
              goto _flick_abort386;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort386:
    flick_mig_client_error(cdr, khazana, _flick_abort385);
  _flick_abort385:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort399);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort399);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550014, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    *outArray = 0;
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort399);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort399);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort410);
            break;
            {
            _flick_abort410:
              goto _flick_abort399;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort399);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort405);
            break;
            {
            _flick_abort405:
              goto _flick_abort399;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort399:
    flick_mig_client_error(cdr, khazana, _flick_abort398);
  _flick_abort398:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort412);
  }
  {
    flick_khazana_encode_new_glob(16, _flick_abort412);
    flick_khazana_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550015, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    *outArrayCnt = 0;
    *outArray = 0;
    flick_khazana_encode_end_chunk(16);
    flick_khazana_encode_end_glob(16);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort412);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort412);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort422);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_swap_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort422:
              goto _flick_abort412;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort423);
            break;
            {
            _flick_abort423:
              goto _flick_abort412;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort412);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort417);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort417:
              goto _flick_abort412;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort418);
            break;
            {
            _flick_abort418:
              goto _flick_abort412;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort412:
    flick_mig_client_error(cdr, khazana, _flick_abort411);
  _flick_abort411:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort425);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort425);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550016, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    *outString = 0;
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort425);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort425);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort436);
            break;
            {
            _flick_abort436:
              goto _flick_abort425;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort425);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort431);
            break;
            {
            _flick_abort431:
              goto _flick_abort425;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort425:
    flick_mig_client_error(cdr, khazana, _flick_abort424);
  _flick_abort424:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort438);
  }
  {
    flick_khazana_encode_new_glob(16, _flick_abort438);
    flick_khazana_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550017, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    *outRightCnt = 0;
    *outRight = 0;
    flick_khazana_encode_end_chunk(16);
    flick_khazana_encode_end_glob(16);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort438);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort438);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort448);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_swap_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort448:
              goto _flick_abort438;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort449);
            break;
            {
            _flick_abort449:
              goto _flick_abort438;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort438);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort443);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort443:
              goto _flick_abort438;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort444);
            break;
            {
            _flick_abort444:
              goto _flick_abort438;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort438:
    flick_mig_client_error(cdr, khazana, _flick_abort437);
  _flick_abort437:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort451);
  }
  {
    flick_khazana_encode_new_glob(16, _flick_abort451);
    flick_khazana_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550018, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    *outRightCnt = 0;
    *outRight = 0;
    flick_khazana_encode_end_chunk(16);
    flick_khazana_encode_end_glob(16);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort451);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort451);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort461);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_swap_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort461:
              goto _flick_abort451;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort462);
            break;
            {
            _flick_abort462:
              goto _flick_abort451;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort451);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort456);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort456:
              goto _flick_abort451;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort457);
            break;
            {
            _flick_abort457:
              goto _flick_abort451;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort451:
    flick_mig_client_error(cdr, khazana, _flick_abort450);
  _flick_abort450:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort464);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort464);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort464);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort474);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort474:
              goto _flick_abort464;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort475);
            break;
            {
            _flick_abort475:
              goto _flick_abort464;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort464);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort469);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort469:
              goto _flick_abort464;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort470);
            break;
            {
            _flick_abort470:
              goto _flick_abort464;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort464:
    flick_mig_client_error(cdr, khazana, _flick_abort463);
  _flick_abort463:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort477);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort477);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort477);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort477);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort487);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort487:
              goto _flick_abort477;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort488);
            break;
            {
            _flick_abort488:
              goto _flick_abort477;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort477);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort482);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort482:
              goto _flick_abort477;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort483);
            break;
            {
            _flick_abort483:
              goto _flick_abort477;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort477:
    flick_mig_client_error(cdr, khazana, _flick_abort476);
  _flick_abort476:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort490);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort490);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort490);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort490);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort500);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort500:
              goto _flick_abort490;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort501);
            break;
            {
            _flick_abort501:
              goto _flick_abort490;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort490);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort495);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort495:
              goto _flick_abort490;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort496);
            break;
            {
            _flick_abort496:
              goto _flick_abort490;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort490:
    flick_mig_client_error(cdr, khazana, _flick_abort489);
  _flick_abort489:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort503);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort503);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort503);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort503);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort513);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort513:
              goto _flick_abort503;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort514);
            break;
            {
            _flick_abort514:
              goto _flick_abort503;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort503);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort508);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort508:
              goto _flick_abort503;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort509);
            break;
            {
            _flick_abort509:
              goto _flick_abort503;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort503:
    flick_mig_client_error(cdr, khazana, _flick_abort502);
  _flick_abort502:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort516);
  }
  {
    flick_khazana_encode_new_glob(16, _flick_abort516);
    flick_khazana_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550024, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    mach_vm_flick_free(inArray);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    mach_vm_flick_free(*inoutArray);
    *inoutArray = 0;
    *outArrayCnt = 0;
    *outArray = 0;
    flick_khazana_encode_end_chunk(16);
    flick_khazana_encode_end_glob(16);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort516);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort516);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort526);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_swap_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort526:
              goto _flick_abort516;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort527);
            break;
            {
            _flick_abort527:
              goto _flick_abort516;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort516);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort521);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort521:
              goto _flick_abort516;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort522);
            break;
            {
            _flick_abort522:
              goto _flick_abort516;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort516:
    flick_mig_client_error(cdr, khazana, _flick_abort515);
  _flick_abort515:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort529);
  }
  {
    flick_khazana_encode_new_glob(12, _flick_abort529);
    flick_khazana_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550025, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_khazana_encode_end_chunk(12);
    flick_khazana_encode_end_glob(12);
    flick_khazana_encode_new_glob(4 * inArrayCnt, _flick_abort529);
    flick_khazana_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_khazana_encode_end_chunk(4 * inArrayCnt);
    flick_khazana_encode_end_glob(4 * inArrayCnt);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort529);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(5);
      flick_khazana_check_span(4, _flick_abort529);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(1, _flick_abort546);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *scopy, boolean_t );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(5);
            break;
            {
            _flick_abort546:
              goto _flick_abort529;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort548);
            break;
            {
            _flick_abort548:
              goto _flick_abort529;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(5);
      flick_khazana_check_span(4, _flick_abort529);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(1, _flick_abort539);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy, boolean_t );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(5);
            break;
            {
            _flick_abort539:
              goto _flick_abort529;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort541);
            break;
            {
            _flick_abort541:
              goto _flick_abort529;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort529:
    flick_mig_client_error(cdr, khazana, _flick_abort528);
  _flick_abort528:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort550);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort550);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550026, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(0);
  if (!flick_client_send_request(target, target->boa->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort550);
  return _return;
  {
  _flick_abort550:
    flick_mig_client_error(cdr, khazana, _flick_abort549);
  _flick_abort549:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

