#include "mig-tests-client.h"

/* This is the runtime type information */
/* */

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort1);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt, Iint );
    flick_cdr_encode_signed32(12, *inoutInt, Iint );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort6);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_decode_signed32(4, *outInt, Iint );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort9);
  }
  {
    unsigned *_t3_internal;
    unsigned *_t4_internal;
    unsigned *_t5_internal;

    _t3_internal = (unsigned *)(&(inStruct));
    _t4_internal = (unsigned *)(&(*inoutStruct));
    _t5_internal = (unsigned *)(&(*outStruct));

    flick_trapeze_encode_new_glob(8, _flick_abort9);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550002, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t3_internal, 4 * 100);
    flick_trapeze_client_encode_array(_t4_internal, 4 * 100);
    flick_trapeze_client_encode_array(_t5_internal, sizeof(unsigned ) * 100);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _t9_internal))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort9);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t9_internal;
            unsigned *_t10_internal;
            unsigned *_t11_internal;

            _t9_internal = (unsigned *)(&(inStruct));
            _t10_internal = (unsigned *)(&(*inoutStruct));
            _t11_internal = (unsigned *)(&(*outStruct));

            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(_t9_internal, sizeof(unsigned ) * 100);
            flick_trapeze_client_decode_array(_t10_internal, 4 * 100);
            flick_trapeze_client_decode_array(_t11_internal, 4 * 100);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort9:
    flick_mig_client_error(cdr, trapeze, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort17);
  }
  {
    unsigned *_t14_internal;
    unsigned *_t15_internal;

    _t14_internal = (unsigned *)inArray;
    _t15_internal = (unsigned *)inoutArray;

    flick_trapeze_encode_new_glob(8, _flick_abort17);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550003, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t14_internal, 4 * 300);
    flick_trapeze_client_encode_array(_t15_internal, 4 * 300);
    flick_trapeze_client_encode_array(outArray, sizeof(unsigned ) * 300);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, inArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort17);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t18_internal;
            unsigned *_t19_internal;

            _t18_internal = (unsigned *)inoutArray;
            _t19_internal = (unsigned *)outArray;

            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(inArray, sizeof(unsigned ) * 300);
            flick_trapeze_client_decode_array(_t18_internal, 4 * 300);
            flick_trapeze_client_decode_array(_t19_internal, 4 * 300);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort17:
    flick_mig_client_error(cdr, trapeze, _flick_abort16);
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort25);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort25);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550004, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 500)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort25);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    *outArrayCnt = 0;
    outArray = 0;
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, inArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort25);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(inArray, sizeof(unsigned ) * inArrayCnt);
            flick_trapeze_check_span(4, _flick_abort30);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
            flick_trapeze_client_decode_array(outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort30:
              goto _flick_abort25;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort25:
    flick_mig_client_error(cdr, trapeze, _flick_abort24);
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort33);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort33);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    *outArrayCnt = 0;
    *outArray = 0;
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort33);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            inArray = flick_trapeze_client_array__alloc();
            flick_trapeze_check_span(4, _flick_abort40);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            break;
            {
            _flick_abort40:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort33:
    flick_mig_client_error(cdr, trapeze, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort43);
  }
  {
    char *_t22_internal;
    char *_t23_internal;

    _t22_internal = (char *)inString;
    _t23_internal = (char *)inoutString;

    flick_trapeze_encode_new_glob(8, _flick_abort43);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550006, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t22_internal, 1 * 799);
    flick_trapeze_client_encode_array(_t23_internal, 1 * 799);
    flick_trapeze_client_encode_array(outString, sizeof(char ) * 799);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, inString))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort43);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t26_internal;
            char *_t27_internal;

            _t26_internal = (char *)inoutString;
            _t27_internal = (char *)outString;

            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(inString, sizeof(char ) * 799);
            flick_trapeze_client_decode_array(_t26_internal, 1 * 799);
            flick_trapeze_client_decode_array(_t27_internal, 1 * 799);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_mig_client_error(cdr, trapeze, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort51);
  }
  {
    flick_unsigned32_t _t29_temp_string_len;

    flick_cdr_stringlen(IVstring , inString, flick_unsigned32_t , _t29_temp_string_len);

    flick_trapeze_encode_new_glob(12, _flick_abort51);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550007, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t29_temp_string_len, flick_unsigned32_t );
    if (_t29_temp_string_len > 4997)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort51);
    flick_trapeze_client_encode_array(inString, 1 * _t29_temp_string_len);
    outString = 0;
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, inString))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort51);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t32_temp_string_len;
            flick_unsigned32_t _t33_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(inString, sizeof(char ) * _t32_temp_string_len);
            flick_trapeze_check_span(4, _flick_abort56);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
            if (_t33_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort56);
            flick_trapeze_client_decode_array(outString, 1 * _t33_temp_string_len);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort56:
              goto _flick_abort51;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_mig_client_error(cdr, trapeze, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort59);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort59);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort59);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort59:
    flick_mig_client_error(cdr, trapeze, _flick_abort58);
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort67);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort67);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    *outRightCnt = 0;
    *outRight = 0;
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort67);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort67);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            inRight = flick_trapeze_client_array__alloc();
            flick_trapeze_check_span(4, _flick_abort72);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort72:
              goto _flick_abort67;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort67:
    flick_mig_client_error(cdr, trapeze, _flick_abort66);
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort75);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort75);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    *outRightCnt = 0;
    *outRight = 0;
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort75);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort75);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            inRight = flick_trapeze_client_array__alloc();
            flick_trapeze_check_span(4, _flick_abort80);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort80:
              goto _flick_abort75;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort75:
    flick_mig_client_error(cdr, trapeze, _flick_abort74);
  _flick_abort74:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort83);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort83);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550012, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    *outInt = 0;
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort83);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort83:
    flick_mig_client_error(cdr, trapeze, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort91);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort91);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550013, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    *outStruct = 0;
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort91);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort91);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort91:
    flick_mig_client_error(cdr, trapeze, _flick_abort90);
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort99);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort99);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550014, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    *outArray = 0;
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort99);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort99:
    flick_mig_client_error(cdr, trapeze, _flick_abort98);
  _flick_abort98:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort107);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort107);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550015, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    *outArrayCnt = 0;
    *outArray = 0;
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort107);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort107);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort112);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort112:
              goto _flick_abort107;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort107:
    flick_mig_client_error(cdr, trapeze, _flick_abort106);
  _flick_abort106:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort115);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort115);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550016, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    *outString = 0;
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort115);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort115);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort115:
    flick_mig_client_error(cdr, trapeze, _flick_abort114);
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort123);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort123);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550017, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    *outRightCnt = 0;
    *outRight = 0;
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort123);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort128);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort128:
              goto _flick_abort123;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort123:
    flick_mig_client_error(cdr, trapeze, _flick_abort122);
  _flick_abort122:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort131);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort131);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550018, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    *outRightCnt = 0;
    *outRight = 0;
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort131);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort131);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort136);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort136:
              goto _flick_abort131;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort131:
    flick_mig_client_error(cdr, trapeze, _flick_abort130);
  _flick_abort130:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort139);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort139);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort139);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort139);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort144);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort144:
              goto _flick_abort139;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort139:
    flick_mig_client_error(cdr, trapeze, _flick_abort138);
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort147);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort147);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort147);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort147);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort152);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort152:
              goto _flick_abort147;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort147:
    flick_mig_client_error(cdr, trapeze, _flick_abort146);
  _flick_abort146:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort155);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort155);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort155);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort155);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort160);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort160:
              goto _flick_abort155;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort155:
    flick_mig_client_error(cdr, trapeze, _flick_abort154);
  _flick_abort154:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort163);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort163);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort163);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort163);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort168);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort168:
              goto _flick_abort163;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort163:
    flick_mig_client_error(cdr, trapeze, _flick_abort162);
  _flick_abort162:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort171);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort171);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550024, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    mach_vm_flick_free(inArray);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    mach_vm_flick_free(*inoutArray);
    *inoutArray = 0;
    *outArrayCnt = 0;
    *outArray = 0;
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort171);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort176);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort176:
              goto _flick_abort171;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort171:
    flick_mig_client_error(cdr, trapeze, _flick_abort170);
  _flick_abort170:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort179);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort179);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550025, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort179);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(5);
      flick_trapeze_check_span(4, _flick_abort179);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            inArray = flick_trapeze_client_array__alloc();
            flick_trapeze_check_span(1, _flick_abort184);
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy, boolean_t );
            flick_trapeze_decode_end_chunk(1);
            break;
            {
            _flick_abort184:
              goto _flick_abort179;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(5);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort179:
    flick_mig_client_error(cdr, trapeze, _flick_abort178);
  _flick_abort178:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort187);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort187);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550026, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_send(_obj, _msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
  return _return;
  {
  _flick_abort187:
    flick_mig_client_error(cdr, trapeze, _flick_abort186);
  _flick_abort186:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

