#include "parm_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort1);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Enumeration_swap(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort2);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2, _flick_abort3);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a, CORBA_short );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort4);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FStruct_swap(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort5);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->a, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort6);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _t0_temp_string_len, _flick_abort6);
  flick_iiop_encode_new_chunk(1 * _t0_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->a, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->a);
  flick_iiop_encode_end_chunk(1 * _t0_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t0_temp_string_len);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _t1_temp_string_len);
  flick_iiop_check_span(1 * _t1_temp_string_len * 1, _flick_abort9);
  flick_iiop_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    _data->a = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->a, 1 * _t1_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t1_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t1_temp_string_len);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VStruct_swap(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort13);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _t2_temp_string_len);
  flick_iiop_check_span(1 * _t2_temp_string_len * 1, _flick_abort13);
  flick_iiop_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t2_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    _data->a = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->a, 1 * _t2_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t2_temp_string_len);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort17);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort23);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort27);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort27:
          goto _flick_abort23;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FUnion_swap(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort29);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort33);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort33:
          goto _flick_abort29;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort29:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort35);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t4_temp_string_len;

        flick_cdr_stringlen(CORBA_char *, _data->_u.a, flick_unsigned32_t , _t4_temp_string_len);

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(8);
        flick_iiop_encode_new_glob(1 * _t4_temp_string_len, _flick_abort41);
        flick_iiop_encode_new_chunk(1 * _t4_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.a, 1 * _t4_temp_string_len);
        CORBA_flick_free(_data->_u.a);
        flick_iiop_encode_end_chunk(1 * _t4_temp_string_len);
        flick_iiop_encode_end_glob(1 * _t4_temp_string_len);
        break;
        {
        _flick_abort41:
          goto _flick_abort35;
        }
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort35:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort45);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t6_temp_string_len;

        flick_iiop_check_span(4, _flick_abort53);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(8);
        flick_iiop_decode_new_glob(1 * _t6_temp_string_len);
        flick_iiop_check_span(1 * _t6_temp_string_len * 1, _flick_abort53);
        flick_iiop_decode_new_chunk(1 * _t6_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t6_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.a, 1 * _t6_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t6_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t6_temp_string_len);
        break;
        {
        _flick_abort53:
          goto _flick_abort45;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VUnion_swap(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort59);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t8_temp_string_len;

        flick_iiop_check_span(4, _flick_abort67);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(8);
        flick_iiop_decode_new_glob(1 * _t8_temp_string_len);
        flick_iiop_check_span(1 * _t8_temp_string_len * 1, _flick_abort67);
        flick_iiop_decode_new_chunk(1 * _t8_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t8_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort67);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.a, 1 * _t8_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t8_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t8_temp_string_len);
        break;
        {
        _flick_abort67:
          goto _flick_abort59;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort59:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort73);
  return 0;
  {
  _flick_abort73:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(40, _flick_abort76);
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_bcopy(0, *_data, 40);
  flick_iiop_encode_end_chunk(40);
  flick_iiop_encode_end_glob(40);
  return 0;
  {
  _flick_abort76:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(40);
  flick_iiop_check_span(40, _flick_abort79);
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_bcopy(0, *_data, 40);
  flick_iiop_decode_end_chunk(40);
  flick_iiop_decode_end_glob(40);
  return 0;
  {
  _flick_abort79:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_arr_swap(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(40);
  flick_iiop_check_span(10 * 4 + 0, _flick_abort82);
  for (_t9_array_iter = 0; _t9_array_iter < 10; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t9_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(40);
  return 0;
  {
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort88);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort88);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort91);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort91);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->_length * 1, _flick_abort91);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort91:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_seq_swap(flick_marshal_stream_t _stream, test_seq *_data)
{
  CORBA_unsigned_long _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort95);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort95);
  flick_iiop_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 4, _flick_abort99);
  for (_t10_array_iter = 0; _t10_array_iter < _data->_length; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t10_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort99:
    CORBA_flick_free(_data->_buffer);
  _flick_abort95:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t473_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(10, _flick_abort104);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t473_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t473_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t474_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t474_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t474_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t475_switch_tag;

                flick_iiop_check_span(8, _flick_abort104);
                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t475_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t475_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t476_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t477_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t478_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t479_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1215);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t476_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t476_principal_len);
                        flick_iiop_check_span(_t476_principal_len * 1, _flick_abort1215);
                        flick_iiop_decode_new_chunk(_t476_principal_len);
                        flick_iiop_decode_end_chunk(_t476_principal_len);
                        flick_iiop_decode_end_glob(_t476_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1215);
                        flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t477_storage);
                        flick_cdr_swap_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t478_storage);
                        _ev = (CORBA_Environment *)(&_t479_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1215);
                          flick_iiop_encode_new_glob(10, _flick_abort1215);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_iiop_encode_end_chunk(6);
                                flick_iiop_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1221);
                                break;
                                {
                                _flick_abort1221:
                                  goto _flick_abort1215;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1222);
                                flick_iiop_encode_end_glob(10);
                                break;
                                {
                                _flick_abort1222:
                                  goto _flick_abort1215;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1215:
                          goto _flick_abort1214;
                        }
                      }
                      break;
                      {
                      _flick_abort1214:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t480_switch_tag;

                flick_iiop_check_span(8, _flick_abort104);
                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t480_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t480_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        unsigned int _t481_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t482_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t483_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t484_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1224);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t481_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t481_principal_len);
                        flick_iiop_check_span(_t481_principal_len * 1, _flick_abort1224);
                        flick_iiop_decode_new_chunk(_t481_principal_len);
                        flick_iiop_decode_end_chunk(_t481_principal_len);
                        flick_iiop_decode_end_glob(_t481_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1224);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t482_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t483_storage);
                        _ev = (CORBA_Environment *)(&_t484_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1224);
                          flick_iiop_encode_new_glob(16, _flick_abort1224);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1230);
                                break;
                                {
                                _flick_abort1230:
                                  goto _flick_abort1224;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1231);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1231:
                                  goto _flick_abort1224;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1224:
                          goto _flick_abort1223;
                        }
                      }
                      break;
                      {
                      _flick_abort1223:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t485_switch_tag;

                flick_iiop_check_span(8, _flick_abort104);
                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t485_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t485_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t486_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t487_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t488_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t489_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1233);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t486_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t486_principal_len);
                        flick_iiop_check_span(_t486_principal_len * 1, _flick_abort1233);
                        flick_iiop_decode_new_chunk(_t486_principal_len);
                        flick_iiop_decode_end_chunk(_t486_principal_len);
                        flick_iiop_decode_end_glob(_t486_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1233);
                        flick_cdr_swap_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t487_storage);
                        flick_cdr_swap_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t488_storage);
                        _ev = (CORBA_Environment *)(&_t489_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1233);
                          flick_iiop_encode_new_glob(16, _flick_abort1233);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1239);
                                break;
                                {
                                _flick_abort1239:
                                  goto _flick_abort1233;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1240);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1240:
                                  goto _flick_abort1233;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1233:
                          goto _flick_abort1232;
                        }
                      }
                      break;
                      {
                      _flick_abort1232:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t490_switch_tag;

                flick_iiop_check_span(10, _flick_abort104);
                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t490_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t490_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t491_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t492_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t493_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t494_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1242);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t491_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t491_principal_len);
                        flick_iiop_check_span(8 - 8 + 2 + _t491_principal_len * 1, _flick_abort1242);
                        flick_iiop_decode_new_chunk(_t491_principal_len);
                        flick_iiop_decode_end_chunk(_t491_principal_len);
                        flick_iiop_decode_end_glob(_t491_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t492_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t493_storage);
                        _ev = (CORBA_Environment *)(&_t494_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1242);
                          flick_iiop_encode_new_glob(7, _flick_abort1242);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1248);
                                break;
                                {
                                _flick_abort1248:
                                  goto _flick_abort1242;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1249);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1249:
                                  goto _flick_abort1242;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1242:
                          goto _flick_abort1241;
                        }
                      }
                      break;
                      {
                      _flick_abort1241:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t495_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t495_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t495_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        unsigned int _t496_principal_len;
                        test_arr_slice *_return;
                        CORBA_long *_local_a;
                        CORBA_long _t497_storage[10];
                        flick_unsigned32_t _t498_array_iter;
                        CORBA_long *_local_b;
                        CORBA_long _t499_storage[10];
                        flick_unsigned32_t _t500_array_iter;
                        CORBA_long *_local_c;
                        CORBA_long _t501_storage[10];
                        CORBA_Environment *_ev;
                        CORBA_Environment _t502_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1251);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_check_span(10 * 4 + (10 * 4 + 6), _flick_abort1251);
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t496_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t496_principal_len);
                        flick_iiop_check_span(_t496_principal_len * 1, _flick_abort1251);
                        flick_iiop_decode_new_chunk(_t496_principal_len);
                        flick_iiop_decode_end_chunk(_t496_principal_len);
                        flick_iiop_decode_end_glob(_t496_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(110);
                        _local_a = (CORBA_long *)_t497_storage;
                        for (_t498_array_iter = 0; _t498_array_iter < 10; _t498_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiop_check_span(4, _flick_abort1255);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t498_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort1255:
                              goto _flick_abort1251;
                            }
                          }
                        _local_b = (CORBA_long *)_t499_storage;
                        for (_t500_array_iter = 0; _t500_array_iter < 10; _t500_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b[_t500_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        _local_c = (CORBA_long *)_t501_storage;
                        _ev = (CORBA_Environment *)(&_t502_storage);
                        flick_iiop_decode_end_glob(110);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1251);
                          flick_iiop_encode_new_glob(124, _flick_abort1251);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(120);
                                flick_cdr_encode_bcopy(0, _return, 40);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_cdr_encode_bcopy(40, _local_b, 40);
                                flick_cdr_encode_bcopy(80, _local_c, 40);
                                flick_iiop_encode_end_chunk(120);
                                flick_iiop_encode_end_glob(124);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(124);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1280);
                                break;
                                {
                                _flick_abort1280:
                                  goto _flick_abort1251;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1281);
                                flick_iiop_encode_end_glob(124);
                                break;
                                {
                                _flick_abort1281:
                                  goto _flick_abort1251;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1251:
                          goto _flick_abort1250;
                        }
                      }
                      break;
                      {
                      _flick_abort1250:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t503_switch_tag;

          flick_iiop_check_span(12, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t503_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t503_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t504_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t504_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t504_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t505_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t506_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t507_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t508_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1283);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t505_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t505_principal_len);
                        flick_iiop_check_span(_t505_principal_len * 1, _flick_abort1283);
                        flick_iiop_decode_new_chunk(_t505_principal_len);
                        flick_iiop_decode_end_chunk(_t505_principal_len);
                        flick_iiop_decode_end_glob(_t505_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1283);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t506_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t507_storage);
                        _ev = (CORBA_Environment *)(&_t508_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1283);
                          flick_iiop_encode_new_glob(16, _flick_abort1283);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1289);
                                break;
                                {
                                _flick_abort1289:
                                  goto _flick_abort1283;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1290);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1290:
                                  goto _flick_abort1283;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1283:
                          goto _flick_abort1282;
                        }
                      }
                      break;
                      {
                      _flick_abort1282:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t509_switch_tag;

                flick_iiop_check_span(10, _flick_abort104);
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t509_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t509_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t510_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t511_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t512_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t513_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1292);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t510_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t510_principal_len);
                        flick_iiop_check_span(9 - 9 + 2 + _t510_principal_len * 1, _flick_abort1292);
                        flick_iiop_decode_new_chunk(_t510_principal_len);
                        flick_iiop_decode_end_chunk(_t510_principal_len);
                        flick_iiop_decode_end_glob(_t510_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t511_storage);
                        flick_cdr_swap_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t512_storage);
                        _ev = (CORBA_Environment *)(&_t513_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1292);
                          flick_iiop_encode_new_glob(7, _flick_abort1292);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1298);
                                break;
                                {
                                _flick_abort1298:
                                  goto _flick_abort1292;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1299);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1299:
                                  goto _flick_abort1292;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1292:
                          goto _flick_abort1291;
                        }
                      }
                      break;
                      {
                      _flick_abort1291:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t514_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t514_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t514_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t515_principal_len;
                        Enumeration _return;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration _t516_storage;
                        Enumeration *_local_c;
                        Enumeration _t517_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t518_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1301);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t515_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t515_principal_len);
                        flick_iiop_check_span(_t515_principal_len * 1, _flick_abort1301);
                        flick_iiop_decode_new_chunk(_t515_principal_len);
                        flick_iiop_decode_end_chunk(_t515_principal_len);
                        flick_iiop_decode_end_glob(_t515_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1301);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (Enumeration *)(&_t516_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (Enumeration *)(&_t517_storage);
                        _ev = (CORBA_Environment *)(&_t518_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1301);
                          flick_iiop_encode_new_glob(16, _flick_abort1301);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1307);
                                break;
                                {
                                _flick_abort1307:
                                  goto _flick_abort1301;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1308);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1308:
                                  goto _flick_abort1301;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1301:
                          goto _flick_abort1300;
                        }
                      }
                      break;
                      {
                      _flick_abort1300:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t519_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t519_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t519_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t520_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t521_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t522_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1310);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t520_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t520_principal_len);
                        flick_iiop_check_span(_t520_principal_len * 1, _flick_abort1310);
                        flick_iiop_decode_new_chunk(_t520_principal_len);
                        flick_iiop_decode_end_chunk(_t520_principal_len);
                        flick_iiop_decode_end_glob(_t520_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1310);
                        flick_cdr_swap_decode_unsigned32(0, _t521_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t521_temp_string_len);
                        flick_iiop_check_span(1 * _t521_temp_string_len * 1, _flick_abort1310);
                        flick_iiop_decode_new_chunk(1 * _t521_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t521_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t521_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t522_storage);
                        _par = flick_interface_parents_test;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1310);
                          flick_iiop_encode_new_glob(5, _flick_abort1310);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1318);
                                break;
                                {
                                _flick_abort1318:
                                  goto _flick_abort1310;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1319);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1319:
                                  goto _flick_abort1310;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1310:
                          goto _flick_abort1309;
                        }
                      }
                      break;
                      {
                      _flick_abort1309:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t523_switch_tag;

          flick_iiop_check_span(12, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t523_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t523_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t524_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t524_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t524_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t525_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t525_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t525_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t526_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t527_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t528_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t529_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1321);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t526_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t526_principal_len);
                              flick_iiop_check_span(_t526_principal_len * 1, _flick_abort1321);
                              flick_iiop_decode_new_chunk(_t526_principal_len);
                              flick_iiop_decode_end_chunk(_t526_principal_len);
                              flick_iiop_decode_end_glob(_t526_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1321);
                              flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t527_storage);
                              flick_cdr_swap_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t528_storage);
                              _ev = (CORBA_Environment *)(&_t529_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1321);
                                flick_iiop_encode_new_glob(10, _flick_abort1321);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1327);
                                      break;
                                      {
                                      _flick_abort1327:
                                        goto _flick_abort1321;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1328);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1328:
                                        goto _flick_abort1321;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1321:
                                goto _flick_abort1320;
                              }
                            }
                            break;
                            {
                            _flick_abort1320:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t530_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t530_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t530_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t531_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t531_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t531_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t532_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t533_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t534_storage;
                              flick_unsigned32_t _t535_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t536_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t537_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1330);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t532_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t532_principal_len);
                              flick_iiop_check_span(_t532_principal_len * 1, _flick_abort1330);
                              flick_iiop_decode_new_chunk(_t532_principal_len);
                              flick_iiop_decode_end_chunk(_t532_principal_len);
                              flick_iiop_decode_end_glob(_t532_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1330);
                              flick_cdr_swap_decode_unsigned32(0, _t533_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t533_temp_string_len);
                              flick_iiop_check_span(1 * _t533_temp_string_len * 1, _flick_abort1330);
                              flick_iiop_decode_new_chunk(1 * _t533_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t533_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t533_temp_string_len);
                              _local_b = (CORBA_char **)(&_t534_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1330);
                              flick_cdr_swap_decode_unsigned32(0, _t535_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t535_temp_string_len);
                              flick_iiop_check_span(1 * _t535_temp_string_len * 1, _flick_abort1330);
                              flick_iiop_decode_new_chunk(1 * _t535_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t535_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1330);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t535_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t535_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t535_temp_string_len);
                              _local_c = (CORBA_char **)(&_t536_storage);
                              _ev = (CORBA_Environment *)(&_t537_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1335);
                                flick_iiop_encode_new_glob(8, _flick_abort1335);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t541_temp_string_len;
                                      flick_unsigned32_t _t542_temp_string_len;
                                      flick_unsigned32_t _t543_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t541_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t542_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t543_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t541_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t541_temp_string_len, _flick_abort1346);
                                      flick_iiop_encode_new_chunk(1 * _t541_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t541_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(1 * _t541_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t541_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1346);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t542_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t542_temp_string_len, _flick_abort1346);
                                      flick_iiop_encode_new_chunk(1 * _t542_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t542_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_iiop_encode_end_chunk(1 * _t542_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t542_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1346);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t543_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t543_temp_string_len, _flick_abort1346);
                                      flick_iiop_encode_new_chunk(1 * _t543_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t543_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_chunk(1 * _t543_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t543_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1346:
                                        goto _flick_abort1335;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1353);
                                      break;
                                      {
                                      _flick_abort1353:
                                        goto _flick_abort1335;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1354);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1354:
                                        goto _flick_abort1335;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1335:
                                CORBA_flick_free(*_local_b);
                              _flick_abort1330:
                                goto _flick_abort1329;
                              }
                            }
                            break;
                            {
                            _flick_abort1329:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t544_switch_tag;

          flick_iiop_check_span(14, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t544_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t544_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t545_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t545_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t545_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        unsigned int _t546_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t547_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t548_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t549_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1356);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t546_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t546_principal_len);
                        flick_iiop_check_span(6 - 6 + 2 + _t546_principal_len * 1, _flick_abort1356);
                        flick_iiop_decode_new_chunk(_t546_principal_len);
                        flick_iiop_decode_end_chunk(_t546_principal_len);
                        flick_iiop_decode_end_glob(_t546_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t547_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t548_storage);
                        _ev = (CORBA_Environment *)(&_t549_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1356);
                          flick_iiop_encode_new_glob(7, _flick_abort1356);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1362);
                                break;
                                {
                                _flick_abort1362:
                                  goto _flick_abort1356;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1363);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1363:
                                  goto _flick_abort1356;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1356:
                          goto _flick_abort1355;
                        }
                      }
                      break;
                      {
                      _flick_abort1355:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t550_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t550_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t551_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t551_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t551_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t552_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t552_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t552_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              unsigned int _t553_principal_len;
                              struct FStruct _return;
                              struct FStruct *_local_a;
                              struct FStruct _t554_storage;
                              struct FStruct *_local_b;
                              struct FStruct _t555_storage;
                              struct FStruct *_local_c;
                              struct FStruct _t556_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t557_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1365);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t553_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t553_principal_len);
                              flick_iiop_check_span(_t553_principal_len * 1, _flick_abort1365);
                              flick_iiop_decode_new_chunk(_t553_principal_len);
                              flick_iiop_decode_end_chunk(_t553_principal_len);
                              flick_iiop_decode_end_glob(_t553_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = (struct FStruct *)(&_t554_storage);
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1365);
                              flick_cdr_swap_decode_signed16(0, _local_a->a, CORBA_short );
                              _local_b = (struct FStruct *)(&_t555_storage);
                              flick_cdr_swap_decode_signed16(2, _local_b->a, CORBA_short );
                              _local_c = (struct FStruct *)(&_t556_storage);
                              _ev = (CORBA_Environment *)(&_t557_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1365);
                                flick_iiop_encode_new_glob(10, _flick_abort1365);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                                      flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1371);
                                      break;
                                      {
                                      _flick_abort1371:
                                        goto _flick_abort1365;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1372);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1372:
                                        goto _flick_abort1365;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1365:
                                goto _flick_abort1364;
                              }
                            }
                            break;
                            {
                            _flick_abort1364:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t558_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t558_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t558_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t559_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t559_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t559_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t560_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t561_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t562_storage;
                              flick_unsigned32_t _t563_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t564_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t565_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1374);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t560_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t560_principal_len);
                              flick_iiop_check_span(_t560_principal_len * 1, _flick_abort1374);
                              flick_iiop_decode_new_chunk(_t560_principal_len);
                              flick_iiop_decode_end_chunk(_t560_principal_len);
                              flick_iiop_decode_end_glob(_t560_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(56);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1374);
                              flick_cdr_swap_decode_unsigned32(0, _t561_temp_string_len, flick_unsigned32_t );
                              if (_t561_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1374);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t561_temp_string_len * 1, _flick_abort1374);
                              flick_iiop_decode_new_chunk(1 * _t561_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t561_temp_string_len);
                              _local_b = (CORBA_char **)(&_t562_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1374);
                              flick_cdr_swap_decode_unsigned32(0, _t563_temp_string_len, flick_unsigned32_t );
                              if (_t563_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1374);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t563_temp_string_len * 1, _flick_abort1374);
                              flick_iiop_decode_new_chunk(1 * _t563_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1374);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t563_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t563_temp_string_len);
                              _local_c = (CORBA_char **)(&_t564_storage);
                              _ev = (CORBA_Environment *)(&_t565_storage);
                              flick_iiop_decode_end_glob(56);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1379);
                                flick_iiop_encode_new_glob(85, _flick_abort1379);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t569_temp_string_len;
                                      flick_unsigned32_t _t570_temp_string_len;
                                      flick_unsigned32_t _t571_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t569_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t570_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t571_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t569_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t569_temp_string_len, flick_unsigned32_t );
                                      if (_t569_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1390);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t569_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t569_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t570_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t570_temp_string_len, flick_unsigned32_t );
                                      if (_t570_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1390);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t570_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t570_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t571_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t571_temp_string_len, flick_unsigned32_t );
                                      if (_t571_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1390);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t571_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t571_temp_string_len);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1390:
                                        goto _flick_abort1379;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(85);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1397);
                                      break;
                                      {
                                      _flick_abort1397:
                                        goto _flick_abort1379;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1398);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1398:
                                        goto _flick_abort1379;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1379:
                                CORBA_flick_free(*_local_b);
                              _flick_abort1374:
                                goto _flick_abort1373;
                              }
                            }
                            break;
                            {
                            _flick_abort1373:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t572_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t572_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t572_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t573_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t573_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t573_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t574_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t574_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t574_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              unsigned int _t575_principal_len;
                              struct VStruct *_return;
                              struct VStruct *_local_a;
                              struct VStruct _t576_storage;
                              flick_unsigned32_t _t577_temp_string_len;
                              struct VStruct *_local_b;
                              struct VStruct _t578_storage;
                              flick_unsigned32_t _t579_temp_string_len;
                              struct VStruct **_local_c;
                              struct VStruct *_t580_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t581_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1400);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t575_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t575_principal_len);
                              flick_iiop_check_span(_t575_principal_len * 1, _flick_abort1400);
                              flick_iiop_decode_new_chunk(_t575_principal_len);
                              flick_iiop_decode_end_chunk(_t575_principal_len);
                              flick_iiop_decode_end_glob(_t575_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VStruct *)(&_t576_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1400);
                              flick_cdr_swap_decode_unsigned32(0, _t577_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t577_temp_string_len);
                              flick_iiop_check_span(1 * _t577_temp_string_len * 1, _flick_abort1400);
                              flick_iiop_decode_new_chunk(1 * _t577_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t577_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t577_temp_string_len);
                              _local_b = (struct VStruct *)(&_t578_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1400);
                              flick_cdr_swap_decode_unsigned32(0, _t579_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t579_temp_string_len);
                              flick_iiop_check_span(1 * _t579_temp_string_len * 1, _flick_abort1400);
                              flick_iiop_decode_new_chunk(1 * _t579_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t579_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1400);
                                _local_b->a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->a, 1 * _t579_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t579_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t579_temp_string_len);
                              _local_c = (struct VStruct **)(&_t580_storage);
                              _ev = (CORBA_Environment *)(&_t581_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1405);
                                flick_iiop_encode_new_glob(8, _flick_abort1405);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t585_temp_string_len;
                                      flick_unsigned32_t _t586_temp_string_len;
                                      flick_unsigned32_t _t587_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t585_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t586_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t587_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t585_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t585_temp_string_len, _flick_abort1416);
                                      flick_iiop_encode_new_chunk(1 * _t585_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t585_temp_string_len);
                                      CORBA_flick_free(_return->a);
                                      _return->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t585_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t585_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_glob(7, _flick_abort1416);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t586_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t586_temp_string_len, _flick_abort1416);
                                      flick_iiop_encode_new_chunk(1 * _t586_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->a, 1 * _t586_temp_string_len);
                                      CORBA_flick_free(_local_b->a);
                                      _local_b->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t586_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t586_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1416);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t587_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t587_temp_string_len, _flick_abort1416);
                                      flick_iiop_encode_new_chunk(1 * _t587_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->a, 1 * _t587_temp_string_len);
                                      CORBA_flick_free((*_local_c)->a);
                                      (*_local_c)->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t587_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t587_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort1416:
                                        goto _flick_abort1405;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1423);
                                      break;
                                      {
                                      _flick_abort1423:
                                        goto _flick_abort1405;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1424);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1424:
                                        goto _flick_abort1405;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1405:
                                CORBA_flick_free(_local_b->a);
                              _flick_abort1400:
                                goto _flick_abort1399;
                              }
                            }
                            break;
                            {
                            _flick_abort1399:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t588_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t588_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t588_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t589_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t589_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t589_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t590_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t590_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t590_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t591_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t591_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t591_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t592_principal_len;
                                    struct FUnion _return;
                                    struct FUnion *_local_a;
                                    struct FUnion _t593_storage;
                                    struct FUnion *_local_b;
                                    struct FUnion _t594_storage;
                                    struct FUnion *_local_c;
                                    struct FUnion _t595_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t596_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1426);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t592_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t592_principal_len);
                                    flick_iiop_check_span(_t592_principal_len * 1, _flick_abort1426);
                                    flick_iiop_decode_new_chunk(_t592_principal_len);
                                    flick_iiop_decode_end_chunk(_t592_principal_len);
                                    flick_iiop_decode_end_glob(_t592_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = (struct FUnion *)(&_t593_storage);
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort1426);
                                    flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort1430);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1430:
                                            goto _flick_abort1426;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_check_span(1, _flick_abort1431);
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                          {
                                          _flick_abort1431:
                                            goto _flick_abort1426;
                                          }
                                        }
                                      }
                                    _local_b = (struct FUnion *)(&_t594_storage);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort1426);
                                    flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort1435);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1435:
                                            goto _flick_abort1426;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_check_span(1, _flick_abort1436);
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                          {
                                          _flick_abort1436:
                                            goto _flick_abort1426;
                                          }
                                        }
                                      }
                                    _local_c = (struct FUnion *)(&_t595_storage);
                                    _ev = (CORBA_Environment *)(&_t596_storage);
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1426);
                                      flick_iiop_encode_new_glob(34, _flick_abort1426);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_b->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_c->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(34);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1472);
                                            break;
                                            {
                                            _flick_abort1472:
                                              goto _flick_abort1426;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1473);
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort1473:
                                              goto _flick_abort1426;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1426:
                                      goto _flick_abort1425;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1425:
                                    goto _flick_abort104;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t597_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t597_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t597_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t598_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t598_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t598_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t599_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t599_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t599_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t600_principal_len;
                              struct VUnion *_return;
                              struct VUnion *_local_a;
                              struct VUnion _t601_storage;
                              struct VUnion *_local_b;
                              struct VUnion _t604_storage;
                              struct VUnion **_local_c;
                              struct VUnion *_t607_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t608_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1475);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t600_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t600_principal_len);
                              flick_iiop_check_span(_t600_principal_len * 1, _flick_abort1475);
                              flick_iiop_decode_new_chunk(_t600_principal_len);
                              flick_iiop_decode_end_chunk(_t600_principal_len);
                              flick_iiop_decode_end_glob(_t600_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VUnion *)(&_t601_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1475);
                              flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t603_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort1481);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t603_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t603_temp_string_len);
                                    flick_iiop_check_span(1 * _t603_temp_string_len * 1, _flick_abort1481);
                                    flick_iiop_decode_new_chunk(1 * _t603_temp_string_len);
                                    flick_cdr_swap_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t603_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t603_temp_string_len);
                                    break;
                                    {
                                    _flick_abort1481:
                                      goto _flick_abort1475;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_check_span(1, _flick_abort1484);
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                    {
                                    _flick_abort1484:
                                      goto _flick_abort1475;
                                    }
                                  }
                                }
                              _local_b = (struct VUnion *)(&_t604_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1475);
                              flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t606_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort1492);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t606_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t606_temp_string_len);
                                    flick_iiop_check_span(1 * _t606_temp_string_len * 1, _flick_abort1492);
                                    flick_iiop_decode_new_chunk(1 * _t606_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t606_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1492);
                                      _local_b->_u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b->_u.a, 1 * _t606_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t606_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t606_temp_string_len);
                                    break;
                                  _flick_abort_block1939:
                                    {
                                      CORBA_flick_free(_local_b->_u.a);
                                    _flick_abort1492:
                                      goto _flick_abort1475;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_check_span(1, _flick_abort1496);
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                    {
                                    _flick_abort1496:
                                      goto _flick_abort1475;
                                    }
                                  }
                                _flick_abort_block1938:
                                  {
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        goto _flick_abort_block1939;
                                      default:
                                        break;
                                      }
                                  }
                                }
                              _local_c = (struct VUnion **)(&_t607_storage);
                              _ev = (CORBA_Environment *)(&_t608_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1497);
                                flick_iiop_encode_new_glob(12, _flick_abort1497);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t616_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t616_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t616_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(12);
                                            flick_iiop_encode_new_glob(1 * _t616_temp_string_len, _flick_abort1535);
                                            flick_iiop_encode_new_chunk(1 * _t616_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t616_temp_string_len);
                                            CORBA_flick_free(_return->_u.a);
                                            _return->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t616_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t616_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1535:
                                              goto _flick_abort1529;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_glob(11, _flick_abort1529);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_local_b->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t618_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t618_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t618_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t618_temp_string_len, _flick_abort1544);
                                            flick_iiop_encode_new_chunk(1 * _t618_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t618_temp_string_len);
                                            CORBA_flick_free(_local_b->_u.a);
                                            _local_b->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t618_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t618_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1544:
                                              goto _flick_abort1529;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiop_encode_new_glob(11, _flick_abort1529);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch ((*_local_c)->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t620_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t620_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t620_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t620_temp_string_len, _flick_abort1553);
                                            flick_iiop_encode_new_chunk(1 * _t620_temp_string_len);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t620_temp_string_len);
                                            CORBA_flick_free((*_local_c)->_u.a);
                                            (*_local_c)->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t620_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t620_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1553:
                                              goto _flick_abort1529;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort1529:
                                        goto _flick_abort1497;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1557);
                                      break;
                                      {
                                      _flick_abort1557:
                                        goto _flick_abort1497;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1558);
                                      flick_iiop_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort1558:
                                        goto _flick_abort1497;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1497:
                                goto _flick_abort_block1938;
                              _flick_abort1475:
                                goto _flick_abort1474;
                              }
                            }
                            break;
                            {
                            _flick_abort1474:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t621_switch_tag;

                flick_iiop_check_span(16, _flick_abort104);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t621_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t621_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t622_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t622_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t622_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t623_principal_len;
                              test_seq *_return;
                              test_seq *_local_a;
                              test_seq _t624_storage;
                              CORBA_long _t625_storage[10];
                              CORBA_unsigned_long _t626_array_iter;
                              test_seq *_local_b;
                              test_seq _t627_storage;
                              CORBA_unsigned_long _t628_array_iter;
                              test_seq **_local_c;
                              test_seq *_t629_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t630_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1560);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t623_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t623_principal_len);
                              flick_iiop_check_span(11 - 11 + 4 + _t623_principal_len * 1, _flick_abort1560);
                              flick_iiop_decode_new_chunk(_t623_principal_len);
                              flick_iiop_decode_end_chunk(_t623_principal_len);
                              flick_iiop_decode_end_glob(_t623_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (test_seq *)(&_t624_storage);
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1560);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1560);
                              flick_iiop_decode_end_chunk(4);
                              _local_a->_buffer = (CORBA_long *)_t625_storage;
                              _local_a->_maximum = 10;
                              _local_a->_release = 0;
                              flick_iiop_check_span(11 - 11 + 4 + _local_a->_length * 4, _flick_abort1560);
                              for (_t626_array_iter = 0; _t626_array_iter < _local_a->_length; _t626_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t626_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                }
                              _local_b = (test_seq *)(&_t627_storage);
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                              if (_local_b->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1560);
                              flick_iiop_decode_end_chunk(4);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1560);
                                _local_b->_buffer = _t_alloc_ptr;
                                _local_b->_maximum = 10;
                                _local_b->_release = 1;
                              }
                              flick_iiop_check_span(_local_b->_length * 4, _flick_abort1569);
                              for (_t628_array_iter = 0; _t628_array_iter < _local_b->_length; _t628_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t628_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                }
                              _local_c = (test_seq **)(&_t629_storage);
                              _ev = (CORBA_Environment *)(&_t630_storage);
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1569);
                                flick_iiop_encode_new_glob(136, _flick_abort1569);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      if (_return->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1582);
                                      flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                      flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                      if (_local_b->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1582);
                                      flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                      if (_local_b->_release)
                                        CORBA_flick_free(_local_b->_buffer);
                                      _local_b->_maximum = 0;
                                      _local_b->_release = 0;
                                      _local_b->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                      flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                      if ((*_local_c)->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1582);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                      if ((*_local_c)->_release)
                                        CORBA_flick_free((*_local_c)->_buffer);
                                      (*_local_c)->_maximum = 0;
                                      (*_local_c)->_release = 0;
                                      (*_local_c)->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort1582:
                                        goto _flick_abort1569;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(136);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1589);
                                      break;
                                      {
                                      _flick_abort1589:
                                        goto _flick_abort1569;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1590);
                                      flick_iiop_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort1590:
                                        goto _flick_abort1569;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1569:
                                CORBA_flick_free(_local_b->_buffer);
                              _flick_abort1560:
                                goto _flick_abort1559;
                              }
                            }
                            break;
                            {
                            _flick_abort1559:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t163_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort104);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t163_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t164_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t164_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t165_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t165_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t165_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t166_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t167_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t168_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t169_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort472);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t166_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t166_principal_len);
                        flick_iiop_check_span(_t166_principal_len * 1, _flick_abort472);
                        flick_iiop_decode_new_chunk(_t166_principal_len);
                        flick_iiop_decode_end_chunk(_t166_principal_len);
                        flick_iiop_decode_end_glob(_t166_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiop_check_span(4, _flick_abort472);
                        flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t167_storage);
                        flick_cdr_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t168_storage);
                        _ev = (CORBA_Environment *)(&_t169_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort472);
                          flick_iiop_encode_new_glob(10, _flick_abort472);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_iiop_encode_end_chunk(6);
                                flick_iiop_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort478);
                                break;
                                {
                                _flick_abort478:
                                  goto _flick_abort472;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                flick_iiop_encode_end_glob(10);
                                break;
                                {
                                _flick_abort479:
                                  goto _flick_abort472;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort471;
                        }
                      }
                      break;
                      {
                      _flick_abort471:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t170_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t170_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t170_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        unsigned int _t171_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t172_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t173_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t174_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort481);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t171_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t171_principal_len);
                        flick_iiop_check_span(_t171_principal_len * 1, _flick_abort481);
                        flick_iiop_decode_new_chunk(_t171_principal_len);
                        flick_iiop_decode_end_chunk(_t171_principal_len);
                        flick_iiop_decode_end_glob(_t171_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort481);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t172_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t173_storage);
                        _ev = (CORBA_Environment *)(&_t174_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort481);
                          flick_iiop_encode_new_glob(16, _flick_abort481);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort487);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort481;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort488:
                                  goto _flick_abort481;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort481:
                          goto _flick_abort480;
                        }
                      }
                      break;
                      {
                      _flick_abort480:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t175_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t175_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t175_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t176_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t177_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t178_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t179_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort490);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t176_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t176_principal_len);
                        flick_iiop_check_span(_t176_principal_len * 1, _flick_abort490);
                        flick_iiop_decode_new_chunk(_t176_principal_len);
                        flick_iiop_decode_end_chunk(_t176_principal_len);
                        flick_iiop_decode_end_glob(_t176_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort490);
                        flick_cdr_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t177_storage);
                        flick_cdr_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t178_storage);
                        _ev = (CORBA_Environment *)(&_t179_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort490);
                          flick_iiop_encode_new_glob(16, _flick_abort490);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort496);
                                break;
                                {
                                _flick_abort496:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort497);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort497:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort489;
                        }
                      }
                      break;
                      {
                      _flick_abort489:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t180_switch_tag;

                flick_iiop_check_span(10, _flick_abort104);
                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t181_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t182_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t183_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t184_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort499);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t181_principal_len);
                        flick_iiop_check_span(8 - 8 + 2 + _t181_principal_len * 1, _flick_abort499);
                        flick_iiop_decode_new_chunk(_t181_principal_len);
                        flick_iiop_decode_end_chunk(_t181_principal_len);
                        flick_iiop_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t182_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t183_storage);
                        _ev = (CORBA_Environment *)(&_t184_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort499);
                          flick_iiop_encode_new_glob(7, _flick_abort499);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort505);
                                break;
                                {
                                _flick_abort505:
                                  goto _flick_abort499;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort506);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort506:
                                  goto _flick_abort499;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort499:
                          goto _flick_abort498;
                        }
                      }
                      break;
                      {
                      _flick_abort498:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t185_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t185_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t185_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        unsigned int _t186_principal_len;
                        test_arr_slice *_return;
                        CORBA_long *_local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t187_storage[10];
                        CORBA_long *_local_c;
                        CORBA_long _t188_storage[10];
                        CORBA_Environment *_ev;
                        CORBA_Environment _t189_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort508);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t186_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t186_principal_len);
                        flick_iiop_check_span(_t186_principal_len * 1, _flick_abort508);
                        flick_iiop_decode_new_chunk(_t186_principal_len);
                        flick_iiop_decode_end_chunk(_t186_principal_len);
                        flick_iiop_decode_end_glob(_t186_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(83);
                        flick_iiop_decode_new_chunk_align(80, 2, 0, 0);
                        flick_iiop_check_span(80, _flick_abort508);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _local_b = (CORBA_long *)_t187_storage;
                        flick_cdr_decode_bcopy(40, _local_b, 40);
                        _local_c = (CORBA_long *)_t188_storage;
                        _ev = (CORBA_Environment *)(&_t189_storage);
                        flick_iiop_decode_end_chunk(80);
                        flick_iiop_decode_end_glob(83);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort508);
                          flick_iiop_encode_new_glob(124, _flick_abort508);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(120);
                                flick_cdr_encode_bcopy(0, _return, 40);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_cdr_encode_bcopy(40, _local_b, 40);
                                flick_cdr_encode_bcopy(80, _local_c, 40);
                                flick_iiop_encode_end_chunk(120);
                                flick_iiop_encode_end_glob(124);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(124);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort531);
                                break;
                                {
                                _flick_abort531:
                                  goto _flick_abort508;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort532);
                                flick_iiop_encode_end_glob(124);
                                break;
                                {
                                _flick_abort532:
                                  goto _flick_abort508;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort508:
                          goto _flick_abort507;
                        }
                      }
                      break;
                      {
                      _flick_abort507:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t190_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t190_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t190_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t191_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t191_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t191_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t192_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t193_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t194_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t195_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort534);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t192_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t192_principal_len);
                        flick_iiop_check_span(_t192_principal_len * 1, _flick_abort534);
                        flick_iiop_decode_new_chunk(_t192_principal_len);
                        flick_iiop_decode_end_chunk(_t192_principal_len);
                        flick_iiop_decode_end_glob(_t192_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort534);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t193_storage);
                        flick_cdr_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t194_storage);
                        _ev = (CORBA_Environment *)(&_t195_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort534);
                          flick_iiop_encode_new_glob(16, _flick_abort534);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort540);
                                break;
                                {
                                _flick_abort540:
                                  goto _flick_abort534;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort541);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort541:
                                  goto _flick_abort534;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort534:
                          goto _flick_abort533;
                        }
                      }
                      break;
                      {
                      _flick_abort533:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t196_switch_tag;

                flick_iiop_check_span(10, _flick_abort104);
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t196_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t196_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t197_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t198_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t199_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t200_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort543);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t197_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t197_principal_len);
                        flick_iiop_check_span(9 - 9 + 2 + _t197_principal_len * 1, _flick_abort543);
                        flick_iiop_decode_new_chunk(_t197_principal_len);
                        flick_iiop_decode_end_chunk(_t197_principal_len);
                        flick_iiop_decode_end_glob(_t197_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t198_storage);
                        flick_cdr_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t199_storage);
                        _ev = (CORBA_Environment *)(&_t200_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort543);
                          flick_iiop_encode_new_glob(7, _flick_abort543);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort549);
                                break;
                                {
                                _flick_abort549:
                                  goto _flick_abort543;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort550);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort550:
                                  goto _flick_abort543;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort543:
                          goto _flick_abort542;
                        }
                      }
                      break;
                      {
                      _flick_abort542:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t201_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t201_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t201_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t202_principal_len;
                        Enumeration _return;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration _t203_storage;
                        Enumeration *_local_c;
                        Enumeration _t204_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t205_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort552);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t202_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t202_principal_len);
                        flick_iiop_check_span(_t202_principal_len * 1, _flick_abort552);
                        flick_iiop_decode_new_chunk(_t202_principal_len);
                        flick_iiop_decode_end_chunk(_t202_principal_len);
                        flick_iiop_decode_end_glob(_t202_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort552);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (Enumeration *)(&_t203_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (Enumeration *)(&_t204_storage);
                        _ev = (CORBA_Environment *)(&_t205_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort552);
                          flick_iiop_encode_new_glob(16, _flick_abort552);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort558);
                                break;
                                {
                                _flick_abort558:
                                  goto _flick_abort552;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort559);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort559:
                                  goto _flick_abort552;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort552:
                          goto _flick_abort551;
                        }
                      }
                      break;
                      {
                      _flick_abort551:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t206_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t206_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t206_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t207_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t208_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t209_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort561);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t207_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t207_principal_len);
                        flick_iiop_check_span(_t207_principal_len * 1, _flick_abort561);
                        flick_iiop_decode_new_chunk(_t207_principal_len);
                        flick_iiop_decode_end_chunk(_t207_principal_len);
                        flick_iiop_decode_end_glob(_t207_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort561);
                        flick_cdr_decode_unsigned32(0, _t208_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t208_temp_string_len);
                        flick_iiop_check_span(1 * _t208_temp_string_len * 1, _flick_abort561);
                        flick_iiop_decode_new_chunk(1 * _t208_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t208_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t208_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t209_storage);
                        _par = flick_interface_parents_test;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort561);
                          flick_iiop_encode_new_glob(5, _flick_abort561);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort569);
                                break;
                                {
                                _flick_abort569:
                                  goto _flick_abort561;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort570);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort570:
                                  goto _flick_abort561;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort561:
                          goto _flick_abort560;
                        }
                      }
                      break;
                      {
                      _flick_abort560:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t210_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t210_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t210_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t211_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t211_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t211_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t212_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t212_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t212_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t213_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t214_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t215_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t216_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort572);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t213_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t213_principal_len);
                              flick_iiop_check_span(_t213_principal_len * 1, _flick_abort572);
                              flick_iiop_decode_new_chunk(_t213_principal_len);
                              flick_iiop_decode_end_chunk(_t213_principal_len);
                              flick_iiop_decode_end_glob(_t213_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort572);
                              flick_cdr_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t214_storage);
                              flick_cdr_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t215_storage);
                              _ev = (CORBA_Environment *)(&_t216_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort572);
                                flick_iiop_encode_new_glob(10, _flick_abort572);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort578);
                                      break;
                                      {
                                      _flick_abort578:
                                        goto _flick_abort572;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort579);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort579:
                                        goto _flick_abort572;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort572:
                                goto _flick_abort571;
                              }
                            }
                            break;
                            {
                            _flick_abort571:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t217_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t217_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t217_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t218_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t218_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t218_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t219_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t220_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t221_storage;
                              flick_unsigned32_t _t222_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t223_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t224_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort581);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t219_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t219_principal_len);
                              flick_iiop_check_span(_t219_principal_len * 1, _flick_abort581);
                              flick_iiop_decode_new_chunk(_t219_principal_len);
                              flick_iiop_decode_end_chunk(_t219_principal_len);
                              flick_iiop_decode_end_glob(_t219_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort581);
                              flick_cdr_decode_unsigned32(0, _t220_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t220_temp_string_len);
                              flick_iiop_check_span(1 * _t220_temp_string_len * 1, _flick_abort581);
                              flick_iiop_decode_new_chunk(1 * _t220_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t220_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t220_temp_string_len);
                              _local_b = (CORBA_char **)(&_t221_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort581);
                              flick_cdr_decode_unsigned32(0, _t222_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t222_temp_string_len);
                              flick_iiop_check_span(1 * _t222_temp_string_len * 1, _flick_abort581);
                              flick_iiop_decode_new_chunk(1 * _t222_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t222_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort581);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t222_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t222_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t222_temp_string_len);
                              _local_c = (CORBA_char **)(&_t223_storage);
                              _ev = (CORBA_Environment *)(&_t224_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort586);
                                flick_iiop_encode_new_glob(8, _flick_abort586);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t228_temp_string_len;
                                      flick_unsigned32_t _t229_temp_string_len;
                                      flick_unsigned32_t _t230_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t228_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t229_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t230_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t228_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t228_temp_string_len, _flick_abort597);
                                      flick_iiop_encode_new_chunk(1 * _t228_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t228_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(1 * _t228_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t228_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort597);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t229_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t229_temp_string_len, _flick_abort597);
                                      flick_iiop_encode_new_chunk(1 * _t229_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t229_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_iiop_encode_end_chunk(1 * _t229_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t229_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort597);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t230_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t230_temp_string_len, _flick_abort597);
                                      flick_iiop_encode_new_chunk(1 * _t230_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t230_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_chunk(1 * _t230_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t230_temp_string_len);
                                      break;
                                      {
                                      _flick_abort597:
                                        goto _flick_abort586;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort604);
                                      break;
                                      {
                                      _flick_abort604:
                                        goto _flick_abort586;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort605);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort605:
                                        goto _flick_abort586;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort586:
                                CORBA_flick_free(*_local_b);
                              _flick_abort581:
                                goto _flick_abort580;
                              }
                            }
                            break;
                            {
                            _flick_abort580:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t231_switch_tag;

          flick_iiop_check_span(14, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t231_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t231_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t232_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t232_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t232_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        unsigned int _t233_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t234_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t235_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t236_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort607);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t233_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t233_principal_len);
                        flick_iiop_check_span(6 - 6 + 2 + _t233_principal_len * 1, _flick_abort607);
                        flick_iiop_decode_new_chunk(_t233_principal_len);
                        flick_iiop_decode_end_chunk(_t233_principal_len);
                        flick_iiop_decode_end_glob(_t233_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t234_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t235_storage);
                        _ev = (CORBA_Environment *)(&_t236_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort607);
                          flick_iiop_encode_new_glob(7, _flick_abort607);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort613);
                                break;
                                {
                                _flick_abort613:
                                  goto _flick_abort607;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort614);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort614:
                                  goto _flick_abort607;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort607:
                          goto _flick_abort606;
                        }
                      }
                      break;
                      {
                      _flick_abort606:
                        goto _flick_abort104;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t237_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t237_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t237_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t238_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t238_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t238_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t239_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t239_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t239_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              unsigned int _t240_principal_len;
                              struct FStruct _return;
                              struct FStruct *_local_a;
                              struct FStruct _t241_storage;
                              struct FStruct *_local_b;
                              struct FStruct _t242_storage;
                              struct FStruct *_local_c;
                              struct FStruct _t243_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t244_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort616);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t240_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t240_principal_len);
                              flick_iiop_check_span(_t240_principal_len * 1, _flick_abort616);
                              flick_iiop_decode_new_chunk(_t240_principal_len);
                              flick_iiop_decode_end_chunk(_t240_principal_len);
                              flick_iiop_decode_end_glob(_t240_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = (struct FStruct *)(&_t241_storage);
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort616);
                              flick_cdr_decode_signed16(0, _local_a->a, CORBA_short );
                              _local_b = (struct FStruct *)(&_t242_storage);
                              flick_cdr_decode_signed16(2, _local_b->a, CORBA_short );
                              _local_c = (struct FStruct *)(&_t243_storage);
                              _ev = (CORBA_Environment *)(&_t244_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort616);
                                flick_iiop_encode_new_glob(10, _flick_abort616);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                                      flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort622);
                                      break;
                                      {
                                      _flick_abort622:
                                        goto _flick_abort616;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort623);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort623:
                                        goto _flick_abort616;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort616:
                                goto _flick_abort615;
                              }
                            }
                            break;
                            {
                            _flick_abort615:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t245_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t245_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t245_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t246_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t246_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t246_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t247_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t248_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t249_storage;
                              flick_unsigned32_t _t250_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t251_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t252_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort625);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t247_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t247_principal_len);
                              flick_iiop_check_span(_t247_principal_len * 1, _flick_abort625);
                              flick_iiop_decode_new_chunk(_t247_principal_len);
                              flick_iiop_decode_end_chunk(_t247_principal_len);
                              flick_iiop_decode_end_glob(_t247_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(56);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort625);
                              flick_cdr_decode_unsigned32(0, _t248_temp_string_len, flick_unsigned32_t );
                              if (_t248_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort625);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t248_temp_string_len * 1, _flick_abort625);
                              flick_iiop_decode_new_chunk(1 * _t248_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t248_temp_string_len);
                              _local_b = (CORBA_char **)(&_t249_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort625);
                              flick_cdr_decode_unsigned32(0, _t250_temp_string_len, flick_unsigned32_t );
                              if (_t250_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort625);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t250_temp_string_len * 1, _flick_abort625);
                              flick_iiop_decode_new_chunk(1 * _t250_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort625);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t250_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t250_temp_string_len);
                              _local_c = (CORBA_char **)(&_t251_storage);
                              _ev = (CORBA_Environment *)(&_t252_storage);
                              flick_iiop_decode_end_glob(56);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort630);
                                flick_iiop_encode_new_glob(85, _flick_abort630);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t256_temp_string_len;
                                      flick_unsigned32_t _t257_temp_string_len;
                                      flick_unsigned32_t _t258_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t256_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t257_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t258_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t256_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t256_temp_string_len, flick_unsigned32_t );
                                      if (_t256_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort641);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t256_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t256_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t257_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t257_temp_string_len, flick_unsigned32_t );
                                      if (_t257_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort641);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t257_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t257_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t258_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t258_temp_string_len, flick_unsigned32_t );
                                      if (_t258_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort641);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t258_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t258_temp_string_len);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort641:
                                        goto _flick_abort630;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(85);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort648);
                                      break;
                                      {
                                      _flick_abort648:
                                        goto _flick_abort630;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort649);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort649:
                                        goto _flick_abort630;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort630:
                                CORBA_flick_free(*_local_b);
                              _flick_abort625:
                                goto _flick_abort624;
                              }
                            }
                            break;
                            {
                            _flick_abort624:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t259_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t260_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t260_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t260_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t261_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t261_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t261_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              unsigned int _t262_principal_len;
                              struct VStruct *_return;
                              struct VStruct *_local_a;
                              struct VStruct _t263_storage;
                              flick_unsigned32_t _t264_temp_string_len;
                              struct VStruct *_local_b;
                              struct VStruct _t265_storage;
                              flick_unsigned32_t _t266_temp_string_len;
                              struct VStruct **_local_c;
                              struct VStruct *_t267_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t268_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort651);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t262_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t262_principal_len);
                              flick_iiop_check_span(_t262_principal_len * 1, _flick_abort651);
                              flick_iiop_decode_new_chunk(_t262_principal_len);
                              flick_iiop_decode_end_chunk(_t262_principal_len);
                              flick_iiop_decode_end_glob(_t262_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VStruct *)(&_t263_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort651);
                              flick_cdr_decode_unsigned32(0, _t264_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t264_temp_string_len);
                              flick_iiop_check_span(1 * _t264_temp_string_len * 1, _flick_abort651);
                              flick_iiop_decode_new_chunk(1 * _t264_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t264_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t264_temp_string_len);
                              _local_b = (struct VStruct *)(&_t265_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort651);
                              flick_cdr_decode_unsigned32(0, _t266_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t266_temp_string_len);
                              flick_iiop_check_span(1 * _t266_temp_string_len * 1, _flick_abort651);
                              flick_iiop_decode_new_chunk(1 * _t266_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t266_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort651);
                                _local_b->a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->a, 1 * _t266_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t266_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t266_temp_string_len);
                              _local_c = (struct VStruct **)(&_t267_storage);
                              _ev = (CORBA_Environment *)(&_t268_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort656);
                                flick_iiop_encode_new_glob(8, _flick_abort656);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t272_temp_string_len;
                                      flick_unsigned32_t _t273_temp_string_len;
                                      flick_unsigned32_t _t274_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t272_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t273_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t274_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t272_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t272_temp_string_len, _flick_abort667);
                                      flick_iiop_encode_new_chunk(1 * _t272_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t272_temp_string_len);
                                      CORBA_flick_free(_return->a);
                                      _return->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t272_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t272_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_glob(7, _flick_abort667);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t273_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t273_temp_string_len, _flick_abort667);
                                      flick_iiop_encode_new_chunk(1 * _t273_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->a, 1 * _t273_temp_string_len);
                                      CORBA_flick_free(_local_b->a);
                                      _local_b->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t273_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t273_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort667);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t274_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t274_temp_string_len, _flick_abort667);
                                      flick_iiop_encode_new_chunk(1 * _t274_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->a, 1 * _t274_temp_string_len);
                                      CORBA_flick_free((*_local_c)->a);
                                      (*_local_c)->a = 0;
                                      flick_iiop_encode_end_chunk(1 * _t274_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t274_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort667:
                                        goto _flick_abort656;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort674);
                                      break;
                                      {
                                      _flick_abort674:
                                        goto _flick_abort656;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort675);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort675:
                                        goto _flick_abort656;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort656:
                                CORBA_flick_free(_local_b->a);
                              _flick_abort651:
                                goto _flick_abort650;
                              }
                            }
                            break;
                            {
                            _flick_abort650:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t275_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t275_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t275_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t276_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t276_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t276_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t277_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t277_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t277_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t278_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t278_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t278_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t279_principal_len;
                                    struct FUnion _return;
                                    struct FUnion *_local_a;
                                    struct FUnion _t280_storage;
                                    struct FUnion *_local_b;
                                    struct FUnion _t281_storage;
                                    struct FUnion *_local_c;
                                    struct FUnion _t282_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t283_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort677);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t279_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t279_principal_len);
                                    flick_iiop_check_span(_t279_principal_len * 1, _flick_abort677);
                                    flick_iiop_decode_new_chunk(_t279_principal_len);
                                    flick_iiop_decode_end_chunk(_t279_principal_len);
                                    flick_iiop_decode_end_glob(_t279_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = (struct FUnion *)(&_t280_storage);
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort677);
                                    flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort681);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort681:
                                            goto _flick_abort677;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_check_span(1, _flick_abort682);
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                          {
                                          _flick_abort682:
                                            goto _flick_abort677;
                                          }
                                        }
                                      }
                                    _local_b = (struct FUnion *)(&_t281_storage);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort677);
                                    flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort686);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort686:
                                            goto _flick_abort677;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_check_span(1, _flick_abort687);
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                          {
                                          _flick_abort687:
                                            goto _flick_abort677;
                                          }
                                        }
                                      }
                                    _local_c = (struct FUnion *)(&_t282_storage);
                                    _ev = (CORBA_Environment *)(&_t283_storage);
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort677);
                                      flick_iiop_encode_new_glob(34, _flick_abort677);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_b->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_c->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(34);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort723);
                                            break;
                                            {
                                            _flick_abort723:
                                              goto _flick_abort677;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort724);
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort724:
                                              goto _flick_abort677;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort677:
                                      goto _flick_abort676;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort676:
                                    goto _flick_abort104;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t284_switch_tag;

          flick_iiop_check_span(16, _flick_abort104);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t284_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t284_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t285_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t285_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t285_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t286_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t286_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t286_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t287_principal_len;
                              struct VUnion *_return;
                              struct VUnion *_local_a;
                              struct VUnion _t288_storage;
                              struct VUnion *_local_b;
                              struct VUnion _t291_storage;
                              struct VUnion **_local_c;
                              struct VUnion *_t294_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t295_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort726);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t287_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t287_principal_len);
                              flick_iiop_check_span(_t287_principal_len * 1, _flick_abort726);
                              flick_iiop_decode_new_chunk(_t287_principal_len);
                              flick_iiop_decode_end_chunk(_t287_principal_len);
                              flick_iiop_decode_end_glob(_t287_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VUnion *)(&_t288_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort726);
                              flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t290_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort732);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t290_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t290_temp_string_len);
                                    flick_iiop_check_span(1 * _t290_temp_string_len * 1, _flick_abort732);
                                    flick_iiop_decode_new_chunk(1 * _t290_temp_string_len);
                                    flick_cdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t290_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t290_temp_string_len);
                                    break;
                                    {
                                    _flick_abort732:
                                      goto _flick_abort726;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_check_span(1, _flick_abort735);
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                    {
                                    _flick_abort735:
                                      goto _flick_abort726;
                                    }
                                  }
                                }
                              _local_b = (struct VUnion *)(&_t291_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort726);
                              flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t293_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort743);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t293_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t293_temp_string_len);
                                    flick_iiop_check_span(1 * _t293_temp_string_len * 1, _flick_abort743);
                                    flick_iiop_decode_new_chunk(1 * _t293_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t293_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort743);
                                      _local_b->_u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b->_u.a, 1 * _t293_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t293_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t293_temp_string_len);
                                    break;
                                  _flick_abort_block956:
                                    {
                                      CORBA_flick_free(_local_b->_u.a);
                                    _flick_abort743:
                                      goto _flick_abort726;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_check_span(1, _flick_abort747);
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                    {
                                    _flick_abort747:
                                      goto _flick_abort726;
                                    }
                                  }
                                _flick_abort_block955:
                                  {
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        goto _flick_abort_block956;
                                      default:
                                        break;
                                      }
                                  }
                                }
                              _local_c = (struct VUnion **)(&_t294_storage);
                              _ev = (CORBA_Environment *)(&_t295_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort748);
                                flick_iiop_encode_new_glob(12, _flick_abort748);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t303_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t303_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t303_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(12);
                                            flick_iiop_encode_new_glob(1 * _t303_temp_string_len, _flick_abort786);
                                            flick_iiop_encode_new_chunk(1 * _t303_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t303_temp_string_len);
                                            CORBA_flick_free(_return->_u.a);
                                            _return->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t303_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t303_temp_string_len);
                                            break;
                                            {
                                            _flick_abort786:
                                              goto _flick_abort780;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_glob(11, _flick_abort780);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_local_b->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t305_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t305_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t305_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t305_temp_string_len, _flick_abort795);
                                            flick_iiop_encode_new_chunk(1 * _t305_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t305_temp_string_len);
                                            CORBA_flick_free(_local_b->_u.a);
                                            _local_b->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t305_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t305_temp_string_len);
                                            break;
                                            {
                                            _flick_abort795:
                                              goto _flick_abort780;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiop_encode_new_glob(11, _flick_abort780);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch ((*_local_c)->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t307_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t307_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t307_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t307_temp_string_len, _flick_abort804);
                                            flick_iiop_encode_new_chunk(1 * _t307_temp_string_len);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t307_temp_string_len);
                                            CORBA_flick_free((*_local_c)->_u.a);
                                            (*_local_c)->_u.a = 0;
                                            flick_iiop_encode_end_chunk(1 * _t307_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t307_temp_string_len);
                                            break;
                                            {
                                            _flick_abort804:
                                              goto _flick_abort780;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort780:
                                        goto _flick_abort748;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort808);
                                      break;
                                      {
                                      _flick_abort808:
                                        goto _flick_abort748;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort809);
                                      flick_iiop_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort809:
                                        goto _flick_abort748;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort748:
                                goto _flick_abort_block955;
                              _flick_abort726:
                                goto _flick_abort725;
                              }
                            }
                            break;
                            {
                            _flick_abort725:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t308_switch_tag;

                flick_iiop_check_span(16, _flick_abort104);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t308_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t308_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t309_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t309_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t309_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t310_principal_len;
                              test_seq *_return;
                              test_seq *_local_a;
                              test_seq _t311_storage;
                              test_seq *_local_b;
                              test_seq _t312_storage;
                              test_seq **_local_c;
                              test_seq *_t313_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t314_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort811);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t310_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t310_principal_len);
                              flick_iiop_check_span(11 - 11 + 4 + _t310_principal_len * 1, _flick_abort811);
                              flick_iiop_decode_new_chunk(_t310_principal_len);
                              flick_iiop_decode_end_chunk(_t310_principal_len);
                              flick_iiop_decode_end_glob(_t310_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (test_seq *)(&_t311_storage);
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort811);
                              flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort811);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(11 - 11 + 4 + 4 * _local_a->_length * 1, _flick_abort811);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                              _local_a->_maximum = _local_a->_length;
                              _local_a->_release = 0;
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _local_b = (test_seq *)(&_t312_storage);
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                              if (_local_b->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort811);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(4 * _local_b->_length * 1, _flick_abort811);
                              flick_iiop_decode_new_chunk(4 * _local_b->_length);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort811);
                                _local_b->_buffer = _t_alloc_ptr;
                                _local_b->_maximum = 10;
                                _local_b->_release = 1;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                              flick_iiop_decode_end_chunk(4 * _local_b->_length);
                              _local_c = (test_seq **)(&_t313_storage);
                              _ev = (CORBA_Environment *)(&_t314_storage);
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort816);
                                flick_iiop_encode_new_glob(136, _flick_abort816);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      if (_return->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort827);
                                      flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                      flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                      if (_local_b->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort827);
                                      flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                      if (_local_b->_release)
                                        CORBA_flick_free(_local_b->_buffer);
                                      _local_b->_maximum = 0;
                                      _local_b->_release = 0;
                                      _local_b->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                      flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                      if ((*_local_c)->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort827);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                      if ((*_local_c)->_release)
                                        CORBA_flick_free((*_local_c)->_buffer);
                                      (*_local_c)->_maximum = 0;
                                      (*_local_c)->_release = 0;
                                      (*_local_c)->_buffer = 0;
                                      flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_iiop_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort827:
                                        goto _flick_abort816;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(136);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort834);
                                      break;
                                      {
                                      _flick_abort834:
                                        goto _flick_abort816;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort835);
                                      flick_iiop_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort835:
                                        goto _flick_abort816;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort816:
                                CORBA_flick_free(_local_b->_buffer);
                              _flick_abort811:
                                goto _flick_abort810;
                              }
                            }
                            break;
                            {
                            _flick_abort810:
                              goto _flick_abort104;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort104);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort104:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort103);
  _flick_abort103:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

